searchData={"items":[{"type":"module","title":"OctantisWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.","ref":"OctantisWeb.html"},{"type":"macro","title":"OctantisWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"OctantisWeb.html#__using__/1"},{"type":"function","title":"OctantisWeb.html/0","doc":"","ref":"OctantisWeb.html#html/0"},{"type":"function","title":"OctantisWeb.router/0","doc":"","ref":"OctantisWeb.html#router/0"},{"type":"function","title":"OctantisWeb.static_paths/0","doc":"","ref":"OctantisWeb.html#static_paths/0"},{"type":"function","title":"OctantisWeb.verified_routes/0","doc":"","ref":"OctantisWeb.html#verified_routes/0"},{"type":"module","title":"OctantisWeb.Components.AppBridge","doc":"AppBridge Components\n\nThese components provide an interface for Shopify AppBridge\n\nSee:\n  - https://shopify.dev/docs/api/app-bridge","ref":"OctantisWeb.Components.AppBridge.html"},{"type":"function","title":"OctantisWeb.Components.AppBridge.toast/1","doc":"","ref":"OctantisWeb.Components.AppBridge.html#toast/1"},{"type":"function","title":"OctantisWeb.Components.AppBridge.ui_nav_menu/1","doc":"","ref":"OctantisWeb.Components.AppBridge.html#ui_nav_menu/1"},{"type":"module","title":"OctantisWeb.Components.AppBridge.Toast","doc":"Renders Shopify toast notices.\n\nUses ShopifyToastHook to integrate with AppBridge\n  https://shopify.dev/docs/api/app-bridge-library/reference/toast#example-toast-with-dismiss-callback\n\nBe sure to load in AppBridge js in your template (you can use ` ` to do so).","ref":"OctantisWeb.Components.AppBridge.Toast.html"},{"type":"module","title":"Examples - OctantisWeb.Components.AppBridge.Toast","doc":"<.toast kind={:info} flash={@flash} id=\"toastinfo\" />\n    <.toast kind={:error} flash={@flash} id=\"toasterror\" />","ref":"OctantisWeb.Components.AppBridge.Toast.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.AppBridge.Toast.toast/1","doc":"","ref":"OctantisWeb.Components.AppBridge.Toast.html#toast/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.AppBridge.Toast.toast/1","doc":"* `id` (`:string`) - the optional id of toast container. Defaults to `\"toast\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* `phx_hook` (`:string`) - The hook to handle onDismiss. Defaults to `\"ShopifyToastHook\"`.","ref":"OctantisWeb.Components.AppBridge.Toast.html#toast/1-attributes"},{"type":"module","title":"OctantisWeb.Components.AppBridge.UiNavMenu","doc":"Renders the AppBridge navigation menu ` `. This adds navigation elements for your app in the Shopify side bar.\n\nThis catches the click events on the side navigation elements and turns them into calls to [`JS.navigate/1`](https://hexdocs.pm/phoenix_live_view/Phoenix.LiveView.JS.html#navigate/1).\nThis component allows navigation without a full page reload.\n\nRequires importing the hook `AppBridgeNavManu` in your Shop Admin js file. E.g. `import {AppBridgeNavManu} from \"octantis\"`","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html"},{"type":"module","title":"Examples - OctantisWeb.Components.AppBridge.UiNavMenu","doc":"<!DOCTYPE html>\n       \n         \n           \n           \n           \n           \n\n           \n           \n\n           \n           \n\n          <.ui_nav_menu>\n            <:link name=\"Home\" url=\"/shop_admin/\" />\n            <:link name=\"Settings\" url=\"/shop_admin/settings\" />\n            <:link name=\"Contact\" url=\"/shop_admin/contact\" />\n          </.ui_nav_menu>\n         \n         \n          {@inner_content}","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#module-examples"},{"type":"module","title":"See - OctantisWeb.Components.AppBridge.UiNavMenu","doc":"- https://shopify.dev/docs/api/app-bridge-library/web-components/ui-nav-menu","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#module-see"},{"type":"function","title":"OctantisWeb.Components.AppBridge.UiNavMenu.ui_nav_menu/1","doc":"","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#ui_nav_menu/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.AppBridge.UiNavMenu.ui_nav_menu/1","doc":"* `id` (`:string`) - ID prefix for links. Defaults to `\"UiNavMenu\"`.\n* `hook` (`:string`) - Defaults to `\"AppBridgeNavManu\"`.","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#ui_nav_menu/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.AppBridge.UiNavMenu.ui_nav_menu/1","doc":"* `link` - Accepts attributes:\n\n  * `name` (`:string`)\n  * `url` (`:string`)","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#ui_nav_menu/1-slots"},{"type":"function","title":"OctantisWeb.Components.AppBridge.UiNavMenu.ui_nav_menu_link/1","doc":"","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#ui_nav_menu_link/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.AppBridge.UiNavMenu.ui_nav_menu_link/1","doc":"* `name` (`:string`) (required)\n* `url` (`:string`) (required)\n* `hook` (`:string`) (required)\n* `id` (`:string`) (required)\n* Global attributes are accepted.","ref":"OctantisWeb.Components.AppBridge.UiNavMenu.html#ui_nav_menu_link/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Head","doc":"The stylesheet to make polaris work.","ref":"OctantisWeb.Components.Head.html"},{"type":"module","title":"Example - OctantisWeb.Components.Head","doc":"<%!-- lib/octantis_web/live/shop_admin/layouts/root.html.heex --%>\n    <!DOCTYPE html>\n     \n       \n         \n         \n         \n         \n\n         \n         \n\n         \n       \n       \n        {@inner_content}","ref":"OctantisWeb.Components.Head.html#module-example"},{"type":"function","title":"OctantisWeb.Components.Head.javascript/1","doc":"","ref":"OctantisWeb.Components.Head.html#javascript/1"},{"type":"function","title":"OctantisWeb.Components.Head.stylesheet/1","doc":"","ref":"OctantisWeb.Components.Head.html#stylesheet/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Head.stylesheet/1","doc":"* `version` (`:string`) - The polaris version. Defaults to `\"13.9.0\"`.","ref":"OctantisWeb.Components.Head.html#stylesheet/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Octantis","doc":"Interactions with components.\n\nComponents that use OctantisInteractable can have events pushed back to them with\n\n```elixir\n{:noreply, Octantis.push_events(socket, %{\"data-oct-open\", \"MyModalId\"})}\n```","ref":"OctantisWeb.Components.Octantis.html"},{"type":"function","title":"OctantisWeb.Components.Octantis.push_events/2","doc":"Push an event to a component that uses the OctantisInteractable hook.","ref":"OctantisWeb.Components.Octantis.html#push_events/2"},{"type":"module","title":"OctantisWeb.Components.Polaris","doc":"Polaris Components\nThese components are an implementation of the Shopify Polaris design system.\nStyle attributes are taken from Polaris Tokens. https://polaris.shopify.com/tokens/color\nSee https://polaris.shopify.com/components","ref":"OctantisWeb.Components.Polaris.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.app_bridge_modal/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#app_bridge_modal/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.badge/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#badge/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.banner/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#banner/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.bleed/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#bleed/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.block_stack/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#block_stack/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.box/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#box/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.button/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#button/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.button_group/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#button_group/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.callout_card/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#callout_card/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.card/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#card/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.choice/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#choice/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.choice_list/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#choice_list/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.collapsible/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#collapsible/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.complex_action/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#complex_action/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.divider/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#divider/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.empty_state/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#empty_state/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.filters/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#filters/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.grid/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#grid/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.icon/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#icon/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.image/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#image/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.index_table/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#index_table/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.inline_error/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#inline_error/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.inline_grid/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#inline_grid/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.inline_stack/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#inline_stack/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.labelled/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#labelled/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.media_card/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#media_card/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.modal/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#modal/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.page/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#page/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.pagination/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#pagination/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.popover/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#popover/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.radio_button/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#radio_button/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.select/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#select/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.skeleton_body_text/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#skeleton_body_text/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.skeleton_display_text/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#skeleton_display_text/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.skeleton_thumbnail/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#skeleton_thumbnail/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.spinner/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#spinner/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.tabs/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#tabs/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.tag/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#tag/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.text/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#text/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.text_field/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#text_field/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.thumbnail/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#thumbnail/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.unstyled_button/1","doc":"","ref":"OctantisWeb.Components.Polaris.html#unstyled_button/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.AppBridgeModal","doc":"The AppBridge Modal API allows you to display an overlay that prevents interaction with the rest of the app until dismissed.\n\nIt is used by customizing your Modal content with the ui-modal element and then opening it with the show() instance method or the shopify.modal.show(\"modal-id\") API.\n\nConsider using OctantisWeb.Components.Polaris.Modal instead.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html"},{"type":"module","title":"Prerequisite - OctantisWeb.Components.Polaris.AppBridgeModal","doc":"The following is required in your .js file:\n\n```javascript\nimport { ShopifyAppBridgeModal } from \"octantis\nHooks = { ShopifyAppBridgeModal }\n```","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#module-prerequisite"},{"type":"module","title":"Push Events - OctantisWeb.Components.Polaris.AppBridgeModal","doc":"You can open and close the modal on the client from the server with\n\n```elixir\n{:noreply, socket |> AppBridgeModal.push_open(\"my_modal_id\")}\n```","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#module-push-events"},{"type":"module","title":"Warning - OctantisWeb.Components.Polaris.AppBridgeModal","doc":"The contents of the modal are rendered in an iFrame that is not connnected to LiveView.\nThis has a few very negative side effects:\n* The content of the Modal is not updated once it is initially rendered.\n* Phoenix events are not sent to the LiveView, instead they must be proxied through hidden buttons.\n* Shopify is munging events such as click events in an unknown way to reach the parent LiveView. This is fragile to say the least.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#module-warning"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.AppBridgeModal","doc":"```elixir\n  <.app_bridge_modal title=\"Uninstall Section\" id=\"my-modal\">\n    <:static_iframe>\n      Are you sure you want to uninstall the section?\n    </:static_iframe>\n    <:primary_action content=\"Uninstall\" phx_click=\"uninstall_section\" phx_values={[id: \"1234\"]} />\n    <:secondary_action content=\"Cancel\" phx_click={AppBridgeModal.hide(\"my-modal\")} />\n  </.app_bridge_modal>\n\n  <.button phx_click={AppBridgeModal.show(\"my-modal\")}>Uninstall</.button>\n  ```\n\nSee\n - https://shopify.dev/docs/api/app-bridge-library/web-components/ui-modal","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"The AppBridge Modal API allows you to display an overlay that prevents interaction with the rest of the app until dismissed.\n\nIt is used by customizing your Modal content with the ui-modal element and then opening it with the show() instance method or the shopify.modal.show(\"modal-id\") API.\n\nConsider using OctantisWeb.Components.Polaris.Modal instead.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1"},{"type":"function","title":"Prerequisite - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"The following is required in your .js file:\n\n```javascript\nimport { ShopifyAppBridgeModal } from \"octantis\nHooks = { ShopifyAppBridgeModal }\n```","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-prerequisite"},{"type":"function","title":"Push Events - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"You can open and close the modal on the client from the server with\n\n```elixir\n{:noreply, socket |> AppBridgeModal.push_open(\"my_modal_id\")}\n```","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-push-events"},{"type":"function","title":"Warning - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"The contents of the modal are rendered in an iFrame that is not connnected to LiveView.\nThis has a few very negative side effects:\n* The content of the Modal is not updated once it is initially rendered.\n* Phoenix events are not sent to the LiveView, instead they must be proxied through hidden buttons.\n* Shopify is munging events such as click events in an unknown way to reach the parent LiveView. This is fragile to say the least.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-warning"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"```elixir\n  <.app_bridge_modal title=\"Uninstall Section\" id=\"my-modal\">\n    <:static_iframe>\n      Are you sure you want to uninstall the section?\n    </:static_iframe>\n    <:primary_action content=\"Uninstall\" phx_click=\"uninstall_section\" phx_values={[id: \"1234\"]} />\n    <:secondary_action content=\"Cancel\" phx_click={AppBridgeModal.hide(\"my-modal\")} />\n  </.app_bridge_modal>\n\n  <.button phx_click={AppBridgeModal.show(\"my-modal\")}>Uninstall</.button>\n  ```\n\nSee\n - https://shopify.dev/docs/api/app-bridge-library/web-components/ui-modal","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"* `id` (`:string`) (required) - A unique identifier for the Modal.\n* `variant` (`:string`) - The size of the modal. Defaults to `\"base\"`.\n* `src` (`:string`) - The URL of the content to display within a Modal. If provided, the Modal will display the content from the provided URL and any children other than the ui-title-bar and ui-save-bar elements will be ignored. Defaults to `nil`.\n* `title` (`:string`) - Title of the Modal. Defaults to `nil`.\n* `phx_hook` (`:string`) - Defaults to `\"ShopifyAppBridgeModal\"`.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.AppBridgeModal.app_bridge_modal/1","doc":"* `title_bar` - Accepts attributes:\n\n  * `title` (`:string`)\n* `static_iframe`\n* `primary_action` - Primary action for the modal. Only one will be rendered. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Secondary action for the modal. Only one will be rendered. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#app_bridge_modal/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.button_id/3","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#button_id/3"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.hide/2","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#hide/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.modal_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#modal_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.proxy_click/3","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#proxy_click/3"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.push_close/2","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#push_close/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.push_open/2","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#push_open/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.AppBridgeModal.show/2","doc":"","ref":"OctantisWeb.Components.Polaris.AppBridgeModal.html#show/2"},{"type":"module","title":"OctantisWeb.Components.Polaris.Badge","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Badge.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Badge","doc":"```elixir\n  <.badge>\n    <:icon> </:icon>\n  </.badge>\n  ```\n\n  See\n   - https://polaris.shopify.com/components/feedback-indicators/badge\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Badge/Badge.tsx","ref":"OctantisWeb.Components.Polaris.Badge.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Badge.badge/1","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Badge.html#badge/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Badge.badge/1","doc":"```elixir\n  <.badge>\n    <:icon> </:icon>\n  </.badge>\n  ```\n\n  See\n   - https://polaris.shopify.com/components/feedback-indicators/badge\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Badge/Badge.tsx","ref":"OctantisWeb.Components.Polaris.Badge.html#badge/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Badge.badge/1","doc":"* `accessibility_label` (`:string`)\n* `tone` (`:string`) - Must be one of `\"info\"`, `\"success\"`, `\"warning\"`, `\"critical\"`, `\"attention\"`, `\"new\"`, `\"magic\"`, `\"info-strong\"`, `\"success-strong\"`, `\"warning-strong\"`, `\"critical-strong\"`, `\"attention-strong\"`, `\"read-only\"`, or `\"enabled\"`.\n* `size` (`:string`) - Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* `progress` (`:string`) - Must be one of `\"incomplete\"`, `\"partiallyComplete\"`, or `\"complete\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Badge.html#badge/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Badge.badge/1","doc":"* `icon`\n* `inner_block`","ref":"OctantisWeb.Components.Polaris.Badge.html#badge/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Badge.badge_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Badge.html#badge_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Badge.badge_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Badge.html#badge_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Badge.progress_icon/1","doc":"","ref":"OctantisWeb.Components.Polaris.Badge.html#progress_icon/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Banner","doc":"Use to convey general information or actions that aren’t critical. For example, you might show a banner that asks for merchant feedback. Default banners contain lower priority information and should always be dismissible.","ref":"OctantisWeb.Components.Polaris.Banner.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Banner","doc":"```elixir\n  <.banner title=\"Order archived\" >\n         This order was archived on March 7, 2017 at 3:12pm EDT. \n  </.banner>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/banner\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Banner/Banner.tsx","ref":"OctantisWeb.Components.Polaris.Banner.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_background/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_background/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_banner_type/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_banner_type/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_color/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_color/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_has_content/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_has_content/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_icon/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_icon/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.assign_role/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#assign_role/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.banner/1","doc":"Use to convey general information or actions that aren’t critical. For example, you might show a banner that asks for merchant feedback. Default banners contain lower priority information and should always be dismissible.","ref":"OctantisWeb.Components.Polaris.Banner.html#banner/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Banner.banner/1","doc":"```elixir\n  <.banner title=\"Order archived\" >\n         This order was archived on March 7, 2017 at 3:12pm EDT. \n  </.banner>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/banner\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Banner/Banner.tsx","ref":"OctantisWeb.Components.Polaris.Banner.html#banner/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Banner.banner/1","doc":"* `id` (`:string`) (required) - id of the banner.\n* `title` (`:string`) - Title content for the banner. Defaults to `nil`.\n* `icon` (`:any`) - Status icon to display in the banner. Use only major icons.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n* `hide_icon` (`:boolean`) - Renders the banner without a status icon. Defaults to `false`.\n* `tone` (`:string`) - Sets the status of the banner. Defaults to `\"info\"`.\n* `on_dismiss` (`:any`) - Callback when banner is dismissed. Defaults to `nil`.\n* `stop_announcements` (`:boolean`) - Disables screen reader announcements when changing the content of the banner. Defaults to `false`.\n* `within_container` (`:boolean`) - Change the render style to be within a content container, whatever that might mean. Defaults to `false`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the banner container.","ref":"OctantisWeb.Components.Polaris.Banner.html#banner/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Banner.banner/1","doc":"* `action` - Primary action for the banner. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Action | Displays a secondary action. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `inner_block`","ref":"OctantisWeb.Components.Polaris.Banner.html#banner/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.banner_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#banner_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.hide/2","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#hide/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.icon_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#icon_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.push_close/2","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#push_close/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.push_open/2","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#push_open/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Banner.show/2","doc":"","ref":"OctantisWeb.Components.Polaris.Banner.html#show/2"},{"type":"module","title":"OctantisWeb.Components.Polaris.Bleed","doc":"Applies negative margin to allow content to bleed out into the surrounding layout.","ref":"OctantisWeb.Components.Polaris.Bleed.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Bleed","doc":"```elixir\n  </.bleed>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/bleed\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Bleed/Bleed.tsx","ref":"OctantisWeb.Components.Polaris.Bleed.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Bleed.bleed/1","doc":"Applies negative margin to allow content to bleed out into the surrounding layout.","ref":"OctantisWeb.Components.Polaris.Bleed.html#bleed/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Bleed.bleed/1","doc":"```elixir\n  </.bleed>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/bleed\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Bleed/Bleed.tsx","ref":"OctantisWeb.Components.Polaris.Bleed.html#bleed/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Bleed.bleed/1","doc":"* `margin_inline` (`:list`) - Negative horizontal space around children.Examples include `[xs: \"500\"]`.\n* `margin_block` (`:list`) - Negative vertical space around children.Examples include `[xs: \"500\"]`.\n* `margin_block_start` (`:list`) - Negative top space around children.Examples include `[xs: \"500\"]`.\n* `margin_block_end` (`:list`) - Negative bottom space around children.Examples include `[xs: \"500\"]`.\n* `margin_inline_start` (`:list`) - Negative left space around children.Examples include `[xs: \"500\"]`.\n* `margin_inline_end` (`:list`) - Negative right space around children.Examples include `[xs: \"500\"]`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.Bleed.html#bleed/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Bleed.bleed/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.Bleed.html#bleed/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Bleed.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.Bleed.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.BlockStack","doc":"Use to display children vertically and horizontally with full width by default. Based on CSS Flexbox.","ref":"OctantisWeb.Components.Polaris.BlockStack.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.BlockStack","doc":"```elixir\n    <.block_stack gap={[xs: 500]}>\n       Contents \n       Contents \n    </.block_stack>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/block-stack\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/BlockStack/BlockStack.tsx","ref":"OctantisWeb.Components.Polaris.BlockStack.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.BlockStack.as/1","doc":"As\nA helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.BlockStack.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.BlockStack.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"div\"`, `\"span\"`, `\"ul\"`, `\"ol\"`, `\"li\"`, or `\"fieldset\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.BlockStack.html#as/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.BlockStack.as/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.BlockStack.html#as/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.BlockStack.block_stack/1","doc":"Use to display children vertically and horizontally with full width by default. Based on CSS Flexbox.","ref":"OctantisWeb.Components.Polaris.BlockStack.html#block_stack/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.BlockStack.block_stack/1","doc":"```elixir\n    <.block_stack gap={[xs: 500]}>\n       Contents \n       Contents \n    </.block_stack>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/block-stack\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/BlockStack/BlockStack.tsx","ref":"OctantisWeb.Components.Polaris.BlockStack.html#block_stack/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.BlockStack.block_stack/1","doc":"* `as` (`:string`) - HTML Element type. Defaults to `\"div\"`.\n* `align` (`:string`) - Vertical alignment of children.Must be one of `\"start\"`, `\"center\"`, `\"end\"`, `\"space-around\"`, `\"space-between\"`, or `\"space-evenly\"`.\n* `inline_align` (`:string`) - Horizontal alignment of children.Must be one of `\"start\"`, `\"center\"`, `\"end\"`, `\"baseline\"`, or `\"stretch\"`.\n* `gap` (`:list`) - The spacing between children.Examples include `[xs: \"500\", sm: \"400\", md: \"200\"]`.\n* `reverse_order` (`:boolean`) - Reverse the render order of child items. Defaults to `false`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.BlockStack.html#block_stack/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.BlockStack.block_stack/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.BlockStack.html#block_stack/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.BlockStack.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.BlockStack.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Box","doc":"Box\nBox is the most primitive layout component.","ref":"OctantisWeb.Components.Polaris.Box.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Box","doc":"<.box border_color=\"border\" border_width=\"4\">Content</.box>\n  <.box background=\"bg-magic-hover\" border_radius=\"full\" padding={[xs: \"400\"]} width=\"586px\">Content</.box>\nSee\n  - https://polaris.shopify.com/components/layout-and-structure/box\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Box/Box.tsx","ref":"OctantisWeb.Components.Polaris.Box.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Box.as/1","doc":"As\nA helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.Box.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Box.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"div\"`, `\"span\"`, `\"ul\"`, `\"ol\"`, `\"li\"`, or `\"fieldset\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Box.html#as/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Box.as/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Box.html#as/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Box.box/1","doc":"Box\nBox is the most primitive layout component.","ref":"OctantisWeb.Components.Polaris.Box.html#box/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Box.box/1","doc":"<.box border_color=\"border\" border_width=\"4\">Content</.box>\n  <.box background=\"bg-magic-hover\" border_radius=\"full\" padding={[xs: \"400\"]} width=\"586px\">Content</.box>\nSee\n  - https://polaris.shopify.com/components/layout-and-structure/box\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Box/Box.tsx","ref":"OctantisWeb.Components.Polaris.Box.html#box/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Box.box/1","doc":"* `as` (`:string`) - HTML Element type. Defaults to `\"div\"`.\n* `background` (`:string`) - Must be one of `\"text-magic\"`, `\"text-magic-strong\"`, `\"text-interactive-inverse\"`, `\"text-interactive\"`, `\"text-interactive-hover\"`, `\"text-interactive-active\"`, `\"text-warning-strong\"`, `\"text-info\"`, `\"text-info-strong\"`, `\"text-caution\"`, `\"text-caution-strong\"`, `\"text-critical\"`, `\"text-critical-active\"`, `\"text-critical-strong\"`, `\"text-primary-hover\"`, `\"text-primary\"`, `\"text-success\"`, `\"text-success-strong\"`, `\"text-on-color\"`, `\"text-inverse\"`, `\"text-inverse-subdued\"`, `\"text-interactive-disabled\"`, `\"text-disabled\"`, `\"text-subdued\"`, `\"text\"`, `\"icon-magic\"`, `\"icon-interactive-inverse\"`, `\"icon-interactive\"`, `\"icon-interactive-hover\"`, `\"icon-interactive-active\"`, `\"icon-warning\"`, `\"icon-info\"`, `\"icon-caution\"`, `\"icon-critical\"`, `\"icon-success\"`, `\"icon-primary\"`, `\"icon-on-color\"`, `\"icon-inverse\"`, `\"icon-interactive-disabled\"`, `\"icon-disabled\"`, `\"icon-subdued\"`, `\"icon-active\"`, `\"icon\"`, `\"icon-hover\"`, `\"border-magic\"`, `\"border-magic-strong\"`, `\"border-interactive-subdued\"`, `\"border-interactive-focus\"`, `\"border-interactive\"`, `\"border-interactive-hover\"`, `\"border-interactive-active\"`, `\"border-info-subdued\"`, `\"border-info\"`, `\"border-caution-subdued\"`, `\"border-caution\"`, `\"border-critical-subdued\"`, `\"border-critical\"`, `\"border-critical-hover\"`, `\"border-critical-active\"`, `\"border-success-subdued\"`, `\"border-success\"`, `\"border-primary\"`, `\"border-interactive-disabled\"`, `\"border-subdued\"`, `\"border-disabled\"`, `\"border\"`, `\"border-strong\"`, `\"border-hover\"`, `\"border-input\"`, `\"border-strong-hover\"`, `\"border-inverse\"`, `\"border-input-hover\"`, `\"bg-magic-subdued\"`, `\"bg-magic-subdued-active\"`, `\"bg-magic-subdued-hover\"`, `\"bg-magic\"`, `\"bg-magic-active\"`, `\"bg-magic-hover\"`, `\"bg-magic-strong\"`, `\"bg-warning\"`, `\"bg-interactive-selected\"`, `\"bg-interactive-subdued\"`, `\"bg-interactive-subdued-hover\"`, `\"bg-interactive-subdued-active\"`, `\"bg-interactive\"`, `\"bg-interactive-hover\"`, `\"bg-interactive-active\"`, `\"bg-info-subdued-hover\"`, `\"bg-info-subdued\"`, `\"bg-info\"`, `\"bg-info-subdued-active\"`, `\"bg-info-strong\"`, `\"bg-caution-subdued-hover\"`, `\"bg-caution-subdued\"`, `\"bg-caution-subdued-active\"`, `\"bg-caution\"`, `\"bg-caution-strong\"`, `\"bg-critical-subdued-hover\"`, `\"bg-critical-subdued\"`, `\"bg-critical\"`, `\"bg-critical-subdued-active\"`, `\"bg-critical-strong\"`, `\"bg-critical-strong-hover\"`, `\"bg-critical-strong-active\"`, `\"bg-primary-subdued-selected\"`, `\"bg-primary-subdued\"`, `\"bg-success-subdued-hover\"`, `\"bg-primary-subdued-hover\"`, `\"bg-success-subdued\"`, `\"bg-success-subdued-active\"`, `\"bg-primary-subdued-active\"`, `\"bg-success\"`, `\"bg-success-strong\"`, `\"bg-primary\"`, `\"bg-primary-hover\"`, `\"bg-primary-active\"`, `\"bg\"`, `\"bg-input\"`, `\"bg-subdued\"`, `\"bg-hover\"`, `\"bg-inset\"`, `\"bg-subdued-hover\"`, `\"bg-active\"`, `\"bg-app-selected\"`, `\"bg-app-hover\"`, `\"bg-app-active\"`, `\"bg-app\"`, `\"bg-interactive-disabled\"`, `\"bg-disabled\"`, `\"bg-subdued-active\"`, `\"bg-strong\"`, `\"bg-strong-active\"`, `\"bg-strong-hover\"`, `\"bg-inverse-active\"`, `\"bg-inverse-hover\"`, `\"bg-inset-strong\"`, `\"bg-inverse\"`, `\"border-magic-secondary\"`, `\"border-critical-secondary\"`, `\"border-brand\"`, `\"border-focus\"`, `\"border-emphasis-active\"`, `\"border-emphasis-hover\"`, `\"border-emphasis\"`, `\"input-border-active\"`, `\"input-border-hover\"`, `\"input-border\"`, `\"border-tertiary\"`, `\"border-secondary\"`, `\"icon-brand\"`, `\"icon-emphasis-active\"`, `\"icon-emphasis-hover\"`, `\"icon-emphasis\"`, `\"icon-secondary\"`, `\"avatar-five-text-on-bg-fill\"`, `\"avatar-four-text-on-bg-fill\"`, `\"avatar-three-text-on-bg-fill\"`, `\"avatar-two-text-on-bg-fill\"`, `\"avatar-one-text-on-bg-fill\"`, `\"avatar-text-on-bg-fill\"`, `\"text-link-inverse\"`, `\"text-inverse-secondary\"`, `\"text-warning\"`, `\"text-info-on-bg-fill\"`, `\"text-tertiary-on-bg-fill\"`, `\"text-critical-hover\"`, `\"text-brand-hover\"`, `\"text-brand\"`, `\"text-emphasis-active\"`, `\"text-emphasis-hover\"`, `\"text-emphasis\"`, `\"text-secondary\"`, `\"avatar-five-bg-fill\"`, `\"avatar-four-bg-fill\"`, `\"avatar-three-bg-fill\"`, `\"avatar-two-bg-fill\"`, `\"avatar-one-bg-fill\"`, `\"avatar-bg-fill\"`, `\"backdrop-bg\"`, `\"bg-fill-brand-disabled\"`, `\"bg-fill-transparent-secondary\"`, `\"bg-fill-disabled\"`, `\"bg-fill-transparent-active\"`, `\"bg-fill-transparent-hover\"`, `\"bg-surface-transparent\"`, `\"bg-fill-inverse-active\"`, `\"bg-fill-inverse-hover\"`, `\"bg-fill-inverse\"`, `\"bg-fill-secondary\"`, `\"bg-surface-magic-hover\"`, `\"bg-surface-magic\"`, `\"bg-fill-magic-secondary-active\"`, `\"bg-fill-magic-secondary-hover\"`, `\"bg-fill-magic-secondary\"`, `\"bg-fill-magic\"`, `\"bg-surface-warning\"`, `\"bg-fill-warning-secondary\"`, `\"bg-fill-warning\"`, `\"bg-surface-info-active\"`, `\"bg-surface-info-hover\"`, `\"bg-surface-info\"`, `\"bg-fill-info-secondary\"`, `\"bg-fill-info\"`, `\"bg-surface-caution-active\"`, `\"bg-surface-caution-hover\"`, `\"bg-surface-caution\"`, `\"bg-fill-caution-secondary\"`, `\"bg-fill-caution\"`, `\"bg-surface-critical-active\"`, `\"bg-surface-critical-hover\"`, `\"bg-surface-critical\"`, `\"bg-fill-critical-secondary\"`, `\"bg-fill-critical-active\"`, `\"bg-fill-critical-hover\"`, `\"bg-fill-critical\"`, `\"bg-surface-success-active\"`, `\"bg-surface-success-hover\"`, `\"bg-surface-success\"`, `\"bg-fill-success-secondary\"`, `\"bg-fill-success-active\"`, `\"bg-fill-success-hover\"`, `\"bg-fill-success\"`, `\"bg-surface-selected\"`, `\"bg-surface-brand-selected\"`, `\"bg-surface-brand-active\"`, `\"bg-surface-brand-hover\"`, `\"bg-surface-brand\"`, `\"bg-fill-brand-active\"`, `\"bg-fill-brand-hover\"`, `\"bg-fill-brand\"`, `\"input-bg-surface-active\"`, `\"input-bg-surface-hover\"`, `\"input-bg-surface\"`, `\"bg-fill-tertiary-active\"`, `\"bg-fill-tertiary-hover\"`, `\"bg-fill-tertiary\"`, `\"bg-surface-tertiary\"`, `\"bg-surface-secondary-active\"`, `\"bg-surface-secondary-hover\"`, `\"bg-surface-secondary\"`, `\"bg-surface-disabled\"`, `\"bg-surface-active\"`, `\"bg-surface-hover\"`, `\"bg-surface\"`, `\"video-thumbnail-play-button-text-on-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill-hover\"`, `\"text-warning-on-bg-fill\"`, `\"text-warning-hover\"`, `\"text-warning-active\"`, `\"text-success-on-bg-fill\"`, `\"text-success-hover\"`, `\"text-success-active\"`, `\"text-magic-on-bg-fill\"`, `\"text-info-hover\"`, `\"text-info-active\"`, `\"text-emphasis-on-bg-fill\"`, `\"text-emphasis-on-bg-fill-hover\"`, `\"text-emphasis-on-bg-fill-active\"`, `\"text-critical-on-bg-fill\"`, `\"text-caution-on-bg-fill\"`, `\"text-caution-hover\"`, `\"text-caution-active\"`, `\"text-brand-on-bg-fill\"`, `\"text-brand-on-bg-fill-hover\"`, `\"text-brand-on-bg-fill-disabled\"`, `\"text-brand-on-bg-fill-active\"`, `\"bg-surface-warning-hover\"`, `\"bg-surface-warning-active\"`, `\"bg-surface-tertiary-hover\"`, `\"bg-surface-tertiary-active\"`, `\"bg-surface-secondary-selected\"`, `\"bg-surface-magic-active\"`, `\"bg-surface-inverse\"`, `\"bg-surface-emphasis\"`, `\"bg-surface-emphasis-hover\"`, `\"bg-surface-emphasis-active\"`, `\"radio-button-bg-surface-disabled\"`, `\"radio-button-icon-disabled\"`, `\"nav-bg-surface\"`, `\"nav-bg-surface-selected\"`, `\"nav-bg-surface-hover\"`, `\"nav-bg-surface-active\"`, `\"nav-bg\"`, `\"text-link\"`, `\"text-link-hover\"`, `\"text-link-active\"`, `\"icon-secondary-hover\"`, `\"icon-secondary-active\"`, `\"bg-fill\"`, `\"bg-fill-warning-hover\"`, `\"bg-fill-warning-active\"`, `\"bg-fill-transparent\"`, `\"bg-fill-transparent-selected\"`, `\"bg-fill-transparent-secondary-hover\"`, `\"bg-fill-transparent-secondary-active\"`, `\"bg-fill-selected\"`, `\"bg-fill-secondary-hover\"`, `\"bg-fill-secondary-active\"`, `\"bg-fill-info-hover\"`, `\"bg-fill-info-active\"`, `\"bg-fill-hover\"`, `\"bg-fill-emphasis\"`, `\"bg-fill-emphasis-hover\"`, `\"bg-fill-emphasis-active\"`, `\"bg-fill-critical-selected\"`, `\"bg-fill-caution-hover\"`, `\"bg-fill-caution-active\"`, `\"bg-fill-brand-selected\"`, `\"bg-fill-active\"`, `\"checkbox-bg-surface-disabled\"`, `\"checkbox-icon-disabled\"`, `\"border-warning\"`, `\"border-inverse-hover\"`, or `\"border-inverse-active\"`.\n* `border_color` (`:string`) - Must be one of `\"text-magic\"`, `\"text-magic-strong\"`, `\"text-interactive-inverse\"`, `\"text-interactive\"`, `\"text-interactive-hover\"`, `\"text-interactive-active\"`, `\"text-warning-strong\"`, `\"text-info\"`, `\"text-info-strong\"`, `\"text-caution\"`, `\"text-caution-strong\"`, `\"text-critical\"`, `\"text-critical-active\"`, `\"text-critical-strong\"`, `\"text-primary-hover\"`, `\"text-primary\"`, `\"text-success\"`, `\"text-success-strong\"`, `\"text-on-color\"`, `\"text-inverse\"`, `\"text-inverse-subdued\"`, `\"text-interactive-disabled\"`, `\"text-disabled\"`, `\"text-subdued\"`, `\"text\"`, `\"icon-magic\"`, `\"icon-interactive-inverse\"`, `\"icon-interactive\"`, `\"icon-interactive-hover\"`, `\"icon-interactive-active\"`, `\"icon-warning\"`, `\"icon-info\"`, `\"icon-caution\"`, `\"icon-critical\"`, `\"icon-success\"`, `\"icon-primary\"`, `\"icon-on-color\"`, `\"icon-inverse\"`, `\"icon-interactive-disabled\"`, `\"icon-disabled\"`, `\"icon-subdued\"`, `\"icon-active\"`, `\"icon\"`, `\"icon-hover\"`, `\"border-magic\"`, `\"border-magic-strong\"`, `\"border-interactive-subdued\"`, `\"border-interactive-focus\"`, `\"border-interactive\"`, `\"border-interactive-hover\"`, `\"border-interactive-active\"`, `\"border-info-subdued\"`, `\"border-info\"`, `\"border-caution-subdued\"`, `\"border-caution\"`, `\"border-critical-subdued\"`, `\"border-critical\"`, `\"border-critical-hover\"`, `\"border-critical-active\"`, `\"border-success-subdued\"`, `\"border-success\"`, `\"border-primary\"`, `\"border-interactive-disabled\"`, `\"border-subdued\"`, `\"border-disabled\"`, `\"border\"`, `\"border-strong\"`, `\"border-hover\"`, `\"border-input\"`, `\"border-strong-hover\"`, `\"border-inverse\"`, `\"border-input-hover\"`, `\"bg-magic-subdued\"`, `\"bg-magic-subdued-active\"`, `\"bg-magic-subdued-hover\"`, `\"bg-magic\"`, `\"bg-magic-active\"`, `\"bg-magic-hover\"`, `\"bg-magic-strong\"`, `\"bg-warning\"`, `\"bg-interactive-selected\"`, `\"bg-interactive-subdued\"`, `\"bg-interactive-subdued-hover\"`, `\"bg-interactive-subdued-active\"`, `\"bg-interactive\"`, `\"bg-interactive-hover\"`, `\"bg-interactive-active\"`, `\"bg-info-subdued-hover\"`, `\"bg-info-subdued\"`, `\"bg-info\"`, `\"bg-info-subdued-active\"`, `\"bg-info-strong\"`, `\"bg-caution-subdued-hover\"`, `\"bg-caution-subdued\"`, `\"bg-caution-subdued-active\"`, `\"bg-caution\"`, `\"bg-caution-strong\"`, `\"bg-critical-subdued-hover\"`, `\"bg-critical-subdued\"`, `\"bg-critical\"`, `\"bg-critical-subdued-active\"`, `\"bg-critical-strong\"`, `\"bg-critical-strong-hover\"`, `\"bg-critical-strong-active\"`, `\"bg-primary-subdued-selected\"`, `\"bg-primary-subdued\"`, `\"bg-success-subdued-hover\"`, `\"bg-primary-subdued-hover\"`, `\"bg-success-subdued\"`, `\"bg-success-subdued-active\"`, `\"bg-primary-subdued-active\"`, `\"bg-success\"`, `\"bg-success-strong\"`, `\"bg-primary\"`, `\"bg-primary-hover\"`, `\"bg-primary-active\"`, `\"bg\"`, `\"bg-input\"`, `\"bg-subdued\"`, `\"bg-hover\"`, `\"bg-inset\"`, `\"bg-subdued-hover\"`, `\"bg-active\"`, `\"bg-app-selected\"`, `\"bg-app-hover\"`, `\"bg-app-active\"`, `\"bg-app\"`, `\"bg-interactive-disabled\"`, `\"bg-disabled\"`, `\"bg-subdued-active\"`, `\"bg-strong\"`, `\"bg-strong-active\"`, `\"bg-strong-hover\"`, `\"bg-inverse-active\"`, `\"bg-inverse-hover\"`, `\"bg-inset-strong\"`, `\"bg-inverse\"`, `\"border-magic-secondary\"`, `\"border-critical-secondary\"`, `\"border-brand\"`, `\"border-focus\"`, `\"border-emphasis-active\"`, `\"border-emphasis-hover\"`, `\"border-emphasis\"`, `\"input-border-active\"`, `\"input-border-hover\"`, `\"input-border\"`, `\"border-tertiary\"`, `\"border-secondary\"`, `\"icon-brand\"`, `\"icon-emphasis-active\"`, `\"icon-emphasis-hover\"`, `\"icon-emphasis\"`, `\"icon-secondary\"`, `\"avatar-five-text-on-bg-fill\"`, `\"avatar-four-text-on-bg-fill\"`, `\"avatar-three-text-on-bg-fill\"`, `\"avatar-two-text-on-bg-fill\"`, `\"avatar-one-text-on-bg-fill\"`, `\"avatar-text-on-bg-fill\"`, `\"text-link-inverse\"`, `\"text-inverse-secondary\"`, `\"text-warning\"`, `\"text-info-on-bg-fill\"`, `\"text-tertiary-on-bg-fill\"`, `\"text-critical-hover\"`, `\"text-brand-hover\"`, `\"text-brand\"`, `\"text-emphasis-active\"`, `\"text-emphasis-hover\"`, `\"text-emphasis\"`, `\"text-secondary\"`, `\"avatar-five-bg-fill\"`, `\"avatar-four-bg-fill\"`, `\"avatar-three-bg-fill\"`, `\"avatar-two-bg-fill\"`, `\"avatar-one-bg-fill\"`, `\"avatar-bg-fill\"`, `\"backdrop-bg\"`, `\"bg-fill-brand-disabled\"`, `\"bg-fill-transparent-secondary\"`, `\"bg-fill-disabled\"`, `\"bg-fill-transparent-active\"`, `\"bg-fill-transparent-hover\"`, `\"bg-surface-transparent\"`, `\"bg-fill-inverse-active\"`, `\"bg-fill-inverse-hover\"`, `\"bg-fill-inverse\"`, `\"bg-fill-secondary\"`, `\"bg-surface-magic-hover\"`, `\"bg-surface-magic\"`, `\"bg-fill-magic-secondary-active\"`, `\"bg-fill-magic-secondary-hover\"`, `\"bg-fill-magic-secondary\"`, `\"bg-fill-magic\"`, `\"bg-surface-warning\"`, `\"bg-fill-warning-secondary\"`, `\"bg-fill-warning\"`, `\"bg-surface-info-active\"`, `\"bg-surface-info-hover\"`, `\"bg-surface-info\"`, `\"bg-fill-info-secondary\"`, `\"bg-fill-info\"`, `\"bg-surface-caution-active\"`, `\"bg-surface-caution-hover\"`, `\"bg-surface-caution\"`, `\"bg-fill-caution-secondary\"`, `\"bg-fill-caution\"`, `\"bg-surface-critical-active\"`, `\"bg-surface-critical-hover\"`, `\"bg-surface-critical\"`, `\"bg-fill-critical-secondary\"`, `\"bg-fill-critical-active\"`, `\"bg-fill-critical-hover\"`, `\"bg-fill-critical\"`, `\"bg-surface-success-active\"`, `\"bg-surface-success-hover\"`, `\"bg-surface-success\"`, `\"bg-fill-success-secondary\"`, `\"bg-fill-success-active\"`, `\"bg-fill-success-hover\"`, `\"bg-fill-success\"`, `\"bg-surface-selected\"`, `\"bg-surface-brand-selected\"`, `\"bg-surface-brand-active\"`, `\"bg-surface-brand-hover\"`, `\"bg-surface-brand\"`, `\"bg-fill-brand-active\"`, `\"bg-fill-brand-hover\"`, `\"bg-fill-brand\"`, `\"input-bg-surface-active\"`, `\"input-bg-surface-hover\"`, `\"input-bg-surface\"`, `\"bg-fill-tertiary-active\"`, `\"bg-fill-tertiary-hover\"`, `\"bg-fill-tertiary\"`, `\"bg-surface-tertiary\"`, `\"bg-surface-secondary-active\"`, `\"bg-surface-secondary-hover\"`, `\"bg-surface-secondary\"`, `\"bg-surface-disabled\"`, `\"bg-surface-active\"`, `\"bg-surface-hover\"`, `\"bg-surface\"`, `\"video-thumbnail-play-button-text-on-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill-hover\"`, `\"text-warning-on-bg-fill\"`, `\"text-warning-hover\"`, `\"text-warning-active\"`, `\"text-success-on-bg-fill\"`, `\"text-success-hover\"`, `\"text-success-active\"`, `\"text-magic-on-bg-fill\"`, `\"text-info-hover\"`, `\"text-info-active\"`, `\"text-emphasis-on-bg-fill\"`, `\"text-emphasis-on-bg-fill-hover\"`, `\"text-emphasis-on-bg-fill-active\"`, `\"text-critical-on-bg-fill\"`, `\"text-caution-on-bg-fill\"`, `\"text-caution-hover\"`, `\"text-caution-active\"`, `\"text-brand-on-bg-fill\"`, `\"text-brand-on-bg-fill-hover\"`, `\"text-brand-on-bg-fill-disabled\"`, `\"text-brand-on-bg-fill-active\"`, `\"bg-surface-warning-hover\"`, `\"bg-surface-warning-active\"`, `\"bg-surface-tertiary-hover\"`, `\"bg-surface-tertiary-active\"`, `\"bg-surface-secondary-selected\"`, `\"bg-surface-magic-active\"`, `\"bg-surface-inverse\"`, `\"bg-surface-emphasis\"`, `\"bg-surface-emphasis-hover\"`, `\"bg-surface-emphasis-active\"`, `\"radio-button-bg-surface-disabled\"`, `\"radio-button-icon-disabled\"`, `\"nav-bg-surface\"`, `\"nav-bg-surface-selected\"`, `\"nav-bg-surface-hover\"`, `\"nav-bg-surface-active\"`, `\"nav-bg\"`, `\"text-link\"`, `\"text-link-hover\"`, `\"text-link-active\"`, `\"icon-secondary-hover\"`, `\"icon-secondary-active\"`, `\"bg-fill\"`, `\"bg-fill-warning-hover\"`, `\"bg-fill-warning-active\"`, `\"bg-fill-transparent\"`, `\"bg-fill-transparent-selected\"`, `\"bg-fill-transparent-secondary-hover\"`, `\"bg-fill-transparent-secondary-active\"`, `\"bg-fill-selected\"`, `\"bg-fill-secondary-hover\"`, `\"bg-fill-secondary-active\"`, `\"bg-fill-info-hover\"`, `\"bg-fill-info-active\"`, `\"bg-fill-hover\"`, `\"bg-fill-emphasis\"`, `\"bg-fill-emphasis-hover\"`, `\"bg-fill-emphasis-active\"`, `\"bg-fill-critical-selected\"`, `\"bg-fill-caution-hover\"`, `\"bg-fill-caution-active\"`, `\"bg-fill-brand-selected\"`, `\"bg-fill-active\"`, `\"checkbox-bg-surface-disabled\"`, `\"checkbox-icon-disabled\"`, `\"border-warning\"`, `\"border-inverse-hover\"`, or `\"border-inverse-active\"`.\n* `border_style` (`:string`) - Must be one of `\"solid\"`, `\"dashed\"`, or `nil`.\n* `border_radius` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_radius_end_start` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_radius_end_end` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_radius_start_start` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_radius_start_end` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_start_start_radius` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_start_end_radius` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_end_start_radius` (`:string`) - Must be one of `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"full\"`, `\"750\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, or `\"0\"`.\n* `border_end_end_radius` (`:string`) - Must be one of `\"width-5\"`, `\"width-4\"`, `\"width-3\"`, `\"width-2\"`, `\"width-1\"`, `\"width-100\"`, `\"width-050\"`, `\"width-025\"`, `\"width-0165\"`, `\"radius-6\"`, `\"radius-5\"`, `\"radius-4\"`, `\"radius-3\"`, `\"radius-2\"`, `\"radius-1\"`, `\"radius-05\"`, `\"radius-full\"`, `\"radius-750\"`, `\"radius-500\"`, `\"radius-400\"`, `\"radius-300\"`, `\"radius-200\"`, `\"radius-150\"`, `\"radius-100\"`, `\"radius-050\"`, or `\"radius-0\"`.\n* `border_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `border_block_start_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `border_block_end_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `border_inline_start_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `border_inline_end_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `color` (`:string`) - Must be one of `\"text-magic\"`, `\"text-magic-strong\"`, `\"text-interactive-inverse\"`, `\"text-interactive\"`, `\"text-interactive-hover\"`, `\"text-interactive-active\"`, `\"text-warning-strong\"`, `\"text-info\"`, `\"text-info-strong\"`, `\"text-caution\"`, `\"text-caution-strong\"`, `\"text-critical\"`, `\"text-critical-active\"`, `\"text-critical-strong\"`, `\"text-primary-hover\"`, `\"text-primary\"`, `\"text-success\"`, `\"text-success-strong\"`, `\"text-on-color\"`, `\"text-inverse\"`, `\"text-inverse-subdued\"`, `\"text-interactive-disabled\"`, `\"text-disabled\"`, `\"text-subdued\"`, `\"text\"`, `\"icon-magic\"`, `\"icon-interactive-inverse\"`, `\"icon-interactive\"`, `\"icon-interactive-hover\"`, `\"icon-interactive-active\"`, `\"icon-warning\"`, `\"icon-info\"`, `\"icon-caution\"`, `\"icon-critical\"`, `\"icon-success\"`, `\"icon-primary\"`, `\"icon-on-color\"`, `\"icon-inverse\"`, `\"icon-interactive-disabled\"`, `\"icon-disabled\"`, `\"icon-subdued\"`, `\"icon-active\"`, `\"icon\"`, `\"icon-hover\"`, `\"border-magic\"`, `\"border-magic-strong\"`, `\"border-interactive-subdued\"`, `\"border-interactive-focus\"`, `\"border-interactive\"`, `\"border-interactive-hover\"`, `\"border-interactive-active\"`, `\"border-info-subdued\"`, `\"border-info\"`, `\"border-caution-subdued\"`, `\"border-caution\"`, `\"border-critical-subdued\"`, `\"border-critical\"`, `\"border-critical-hover\"`, `\"border-critical-active\"`, `\"border-success-subdued\"`, `\"border-success\"`, `\"border-primary\"`, `\"border-interactive-disabled\"`, `\"border-subdued\"`, `\"border-disabled\"`, `\"border\"`, `\"border-strong\"`, `\"border-hover\"`, `\"border-input\"`, `\"border-strong-hover\"`, `\"border-inverse\"`, `\"border-input-hover\"`, `\"bg-magic-subdued\"`, `\"bg-magic-subdued-active\"`, `\"bg-magic-subdued-hover\"`, `\"bg-magic\"`, `\"bg-magic-active\"`, `\"bg-magic-hover\"`, `\"bg-magic-strong\"`, `\"bg-warning\"`, `\"bg-interactive-selected\"`, `\"bg-interactive-subdued\"`, `\"bg-interactive-subdued-hover\"`, `\"bg-interactive-subdued-active\"`, `\"bg-interactive\"`, `\"bg-interactive-hover\"`, `\"bg-interactive-active\"`, `\"bg-info-subdued-hover\"`, `\"bg-info-subdued\"`, `\"bg-info\"`, `\"bg-info-subdued-active\"`, `\"bg-info-strong\"`, `\"bg-caution-subdued-hover\"`, `\"bg-caution-subdued\"`, `\"bg-caution-subdued-active\"`, `\"bg-caution\"`, `\"bg-caution-strong\"`, `\"bg-critical-subdued-hover\"`, `\"bg-critical-subdued\"`, `\"bg-critical\"`, `\"bg-critical-subdued-active\"`, `\"bg-critical-strong\"`, `\"bg-critical-strong-hover\"`, `\"bg-critical-strong-active\"`, `\"bg-primary-subdued-selected\"`, `\"bg-primary-subdued\"`, `\"bg-success-subdued-hover\"`, `\"bg-primary-subdued-hover\"`, `\"bg-success-subdued\"`, `\"bg-success-subdued-active\"`, `\"bg-primary-subdued-active\"`, `\"bg-success\"`, `\"bg-success-strong\"`, `\"bg-primary\"`, `\"bg-primary-hover\"`, `\"bg-primary-active\"`, `\"bg\"`, `\"bg-input\"`, `\"bg-subdued\"`, `\"bg-hover\"`, `\"bg-inset\"`, `\"bg-subdued-hover\"`, `\"bg-active\"`, `\"bg-app-selected\"`, `\"bg-app-hover\"`, `\"bg-app-active\"`, `\"bg-app\"`, `\"bg-interactive-disabled\"`, `\"bg-disabled\"`, `\"bg-subdued-active\"`, `\"bg-strong\"`, `\"bg-strong-active\"`, `\"bg-strong-hover\"`, `\"bg-inverse-active\"`, `\"bg-inverse-hover\"`, `\"bg-inset-strong\"`, `\"bg-inverse\"`, `\"border-magic-secondary\"`, `\"border-critical-secondary\"`, `\"border-brand\"`, `\"border-focus\"`, `\"border-emphasis-active\"`, `\"border-emphasis-hover\"`, `\"border-emphasis\"`, `\"input-border-active\"`, `\"input-border-hover\"`, `\"input-border\"`, `\"border-tertiary\"`, `\"border-secondary\"`, `\"icon-brand\"`, `\"icon-emphasis-active\"`, `\"icon-emphasis-hover\"`, `\"icon-emphasis\"`, `\"icon-secondary\"`, `\"avatar-five-text-on-bg-fill\"`, `\"avatar-four-text-on-bg-fill\"`, `\"avatar-three-text-on-bg-fill\"`, `\"avatar-two-text-on-bg-fill\"`, `\"avatar-one-text-on-bg-fill\"`, `\"avatar-text-on-bg-fill\"`, `\"text-link-inverse\"`, `\"text-inverse-secondary\"`, `\"text-warning\"`, `\"text-info-on-bg-fill\"`, `\"text-tertiary-on-bg-fill\"`, `\"text-critical-hover\"`, `\"text-brand-hover\"`, `\"text-brand\"`, `\"text-emphasis-active\"`, `\"text-emphasis-hover\"`, `\"text-emphasis\"`, `\"text-secondary\"`, `\"avatar-five-bg-fill\"`, `\"avatar-four-bg-fill\"`, `\"avatar-three-bg-fill\"`, `\"avatar-two-bg-fill\"`, `\"avatar-one-bg-fill\"`, `\"avatar-bg-fill\"`, `\"backdrop-bg\"`, `\"bg-fill-brand-disabled\"`, `\"bg-fill-transparent-secondary\"`, `\"bg-fill-disabled\"`, `\"bg-fill-transparent-active\"`, `\"bg-fill-transparent-hover\"`, `\"bg-surface-transparent\"`, `\"bg-fill-inverse-active\"`, `\"bg-fill-inverse-hover\"`, `\"bg-fill-inverse\"`, `\"bg-fill-secondary\"`, `\"bg-surface-magic-hover\"`, `\"bg-surface-magic\"`, `\"bg-fill-magic-secondary-active\"`, `\"bg-fill-magic-secondary-hover\"`, `\"bg-fill-magic-secondary\"`, `\"bg-fill-magic\"`, `\"bg-surface-warning\"`, `\"bg-fill-warning-secondary\"`, `\"bg-fill-warning\"`, `\"bg-surface-info-active\"`, `\"bg-surface-info-hover\"`, `\"bg-surface-info\"`, `\"bg-fill-info-secondary\"`, `\"bg-fill-info\"`, `\"bg-surface-caution-active\"`, `\"bg-surface-caution-hover\"`, `\"bg-surface-caution\"`, `\"bg-fill-caution-secondary\"`, `\"bg-fill-caution\"`, `\"bg-surface-critical-active\"`, `\"bg-surface-critical-hover\"`, `\"bg-surface-critical\"`, `\"bg-fill-critical-secondary\"`, `\"bg-fill-critical-active\"`, `\"bg-fill-critical-hover\"`, `\"bg-fill-critical\"`, `\"bg-surface-success-active\"`, `\"bg-surface-success-hover\"`, `\"bg-surface-success\"`, `\"bg-fill-success-secondary\"`, `\"bg-fill-success-active\"`, `\"bg-fill-success-hover\"`, `\"bg-fill-success\"`, `\"bg-surface-selected\"`, `\"bg-surface-brand-selected\"`, `\"bg-surface-brand-active\"`, `\"bg-surface-brand-hover\"`, `\"bg-surface-brand\"`, `\"bg-fill-brand-active\"`, `\"bg-fill-brand-hover\"`, `\"bg-fill-brand\"`, `\"input-bg-surface-active\"`, `\"input-bg-surface-hover\"`, `\"input-bg-surface\"`, `\"bg-fill-tertiary-active\"`, `\"bg-fill-tertiary-hover\"`, `\"bg-fill-tertiary\"`, `\"bg-surface-tertiary\"`, `\"bg-surface-secondary-active\"`, `\"bg-surface-secondary-hover\"`, `\"bg-surface-secondary\"`, `\"bg-surface-disabled\"`, `\"bg-surface-active\"`, `\"bg-surface-hover\"`, `\"bg-surface\"`, `\"video-thumbnail-play-button-text-on-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill-hover\"`, `\"text-warning-on-bg-fill\"`, `\"text-warning-hover\"`, `\"text-warning-active\"`, `\"text-success-on-bg-fill\"`, `\"text-success-hover\"`, `\"text-success-active\"`, `\"text-magic-on-bg-fill\"`, `\"text-info-hover\"`, `\"text-info-active\"`, `\"text-emphasis-on-bg-fill\"`, `\"text-emphasis-on-bg-fill-hover\"`, `\"text-emphasis-on-bg-fill-active\"`, `\"text-critical-on-bg-fill\"`, `\"text-caution-on-bg-fill\"`, `\"text-caution-hover\"`, `\"text-caution-active\"`, `\"text-brand-on-bg-fill\"`, `\"text-brand-on-bg-fill-hover\"`, `\"text-brand-on-bg-fill-disabled\"`, `\"text-brand-on-bg-fill-active\"`, `\"bg-surface-warning-hover\"`, `\"bg-surface-warning-active\"`, `\"bg-surface-tertiary-hover\"`, `\"bg-surface-tertiary-active\"`, `\"bg-surface-secondary-selected\"`, `\"bg-surface-magic-active\"`, `\"bg-surface-inverse\"`, `\"bg-surface-emphasis\"`, `\"bg-surface-emphasis-hover\"`, `\"bg-surface-emphasis-active\"`, `\"radio-button-bg-surface-disabled\"`, `\"radio-button-icon-disabled\"`, `\"nav-bg-surface\"`, `\"nav-bg-surface-selected\"`, `\"nav-bg-surface-hover\"`, `\"nav-bg-surface-active\"`, `\"nav-bg\"`, `\"text-link\"`, `\"text-link-hover\"`, `\"text-link-active\"`, `\"icon-secondary-hover\"`, `\"icon-secondary-active\"`, `\"bg-fill\"`, `\"bg-fill-warning-hover\"`, `\"bg-fill-warning-active\"`, `\"bg-fill-transparent\"`, `\"bg-fill-transparent-selected\"`, `\"bg-fill-transparent-secondary-hover\"`, `\"bg-fill-transparent-secondary-active\"`, `\"bg-fill-selected\"`, `\"bg-fill-secondary-hover\"`, `\"bg-fill-secondary-active\"`, `\"bg-fill-info-hover\"`, `\"bg-fill-info-active\"`, `\"bg-fill-hover\"`, `\"bg-fill-emphasis\"`, `\"bg-fill-emphasis-hover\"`, `\"bg-fill-emphasis-active\"`, `\"bg-fill-critical-selected\"`, `\"bg-fill-caution-hover\"`, `\"bg-fill-caution-active\"`, `\"bg-fill-brand-selected\"`, `\"bg-fill-active\"`, `\"checkbox-bg-surface-disabled\"`, `\"checkbox-icon-disabled\"`, `\"border-warning\"`, `\"border-inverse-hover\"`, or `\"border-inverse-active\"`.\n* `min_height` (`:string`)\n* `min_width` (`:string`)\n* `max_width` (`:string`)\n* `overflow_x` (`:string`)\n* `overflow_y` (`:string`)\n* `padding` (`:list`) - A tuple with the size and Space token.Examples include `[xs: \"400\", lg: \"500\"]`.\n* `padding_block_start` (`:list`) - A tuple with the size and Space token.Examples include `[xs: \"400\", lg: \"500\"]`.\n* `padding_block_end` (`:list`) - A tuple with the size and Space token.Examples include `[xs: \"400\", lg: \"500\"]`.\n* `padding_inline_start` (`:list`) - A tuple with the size and Space token.Examples include `[xs: \"400\", lg: \"500\"]`.\n* `padding_inline_end` (`:list`) - A tuple with the size and Space token.Examples include `[xs: \"400\", lg: \"500\"]`.\n* `shadow` (`:string`) - Must be one of `\"2xl\"`, `\"xl\"`, `\"lg\"`, `\"md\"`, `\"sm\"`, `\"xs\"`, `\"none\"`, `\"inset-sm\"`, `\"inset-md\"`, `\"inset-lg\"`, `\"border-inset\"`, `\"button-primary-success-inset\"`, `\"button-primary-success-hover\"`, `\"button-primary-success\"`, `\"button-primary-critical-inset\"`, `\"button-primary-critical-hover\"`, `\"button-primary-critical\"`, `\"button-primary-inset\"`, `\"button-primary-hover\"`, `\"button-primary\"`, `\"button-inset\"`, `\"button-hover\"`, `\"button\"`, `\"inset-200\"`, `\"inset-100\"`, `\"bevel-100\"`, `\"600\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"100\"`, or `\"0\"`.\n* `width` (`:string`)\n* `position` (`:string`)\n* `inset_block_start` (`:string`) - Must be one of `\"32\"`, `\"28\"`, `\"24\"`, `\"20\"`, `\"16\"`, `\"12\"`, `\"10\"`, `\"8\"`, `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"table-cell-padding\"`, `\"card-padding\"`, `\"card-gap\"`, `\"button-group-gap\"`, `\"3200\"`, `\"2800\"`, `\"2400\"`, `\"2000\"`, `\"1600\"`, `\"1200\"`, `\"1000\"`, `\"800\"`, `\"600\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0\"`.\n* `inset_block_end` (`:string`) - Must be one of `\"32\"`, `\"28\"`, `\"24\"`, `\"20\"`, `\"16\"`, `\"12\"`, `\"10\"`, `\"8\"`, `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"table-cell-padding\"`, `\"card-padding\"`, `\"card-gap\"`, `\"button-group-gap\"`, `\"3200\"`, `\"2800\"`, `\"2400\"`, `\"2000\"`, `\"1600\"`, `\"1200\"`, `\"1000\"`, `\"800\"`, `\"600\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0\"`.\n* `inset_inline_start` (`:string`) - Must be one of `\"32\"`, `\"28\"`, `\"24\"`, `\"20\"`, `\"16\"`, `\"12\"`, `\"10\"`, `\"8\"`, `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"table-cell-padding\"`, `\"card-padding\"`, `\"card-gap\"`, `\"button-group-gap\"`, `\"3200\"`, `\"2800\"`, `\"2400\"`, `\"2000\"`, `\"1600\"`, `\"1200\"`, `\"1000\"`, `\"800\"`, `\"600\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0\"`.\n* `inset_inline_end` (`:string`) - Must be one of `\"32\"`, `\"28\"`, `\"24\"`, `\"20\"`, `\"16\"`, `\"12\"`, `\"10\"`, `\"8\"`, `\"6\"`, `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"05\"`, `\"table-cell-padding\"`, `\"card-padding\"`, `\"card-gap\"`, `\"button-group-gap\"`, `\"3200\"`, `\"2800\"`, `\"2400\"`, `\"2000\"`, `\"1600\"`, `\"1200\"`, `\"1000\"`, `\"800\"`, `\"600\"`, `\"500\"`, `\"400\"`, `\"300\"`, `\"200\"`, `\"150\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0\"`.\n* `opacity` (`:string`)\n* `outline_color` (`:string`) - Must be one of `\"text-magic\"`, `\"text-magic-strong\"`, `\"text-interactive-inverse\"`, `\"text-interactive\"`, `\"text-interactive-hover\"`, `\"text-interactive-active\"`, `\"text-warning-strong\"`, `\"text-info\"`, `\"text-info-strong\"`, `\"text-caution\"`, `\"text-caution-strong\"`, `\"text-critical\"`, `\"text-critical-active\"`, `\"text-critical-strong\"`, `\"text-primary-hover\"`, `\"text-primary\"`, `\"text-success\"`, `\"text-success-strong\"`, `\"text-on-color\"`, `\"text-inverse\"`, `\"text-inverse-subdued\"`, `\"text-interactive-disabled\"`, `\"text-disabled\"`, `\"text-subdued\"`, `\"text\"`, `\"icon-magic\"`, `\"icon-interactive-inverse\"`, `\"icon-interactive\"`, `\"icon-interactive-hover\"`, `\"icon-interactive-active\"`, `\"icon-warning\"`, `\"icon-info\"`, `\"icon-caution\"`, `\"icon-critical\"`, `\"icon-success\"`, `\"icon-primary\"`, `\"icon-on-color\"`, `\"icon-inverse\"`, `\"icon-interactive-disabled\"`, `\"icon-disabled\"`, `\"icon-subdued\"`, `\"icon-active\"`, `\"icon\"`, `\"icon-hover\"`, `\"border-magic\"`, `\"border-magic-strong\"`, `\"border-interactive-subdued\"`, `\"border-interactive-focus\"`, `\"border-interactive\"`, `\"border-interactive-hover\"`, `\"border-interactive-active\"`, `\"border-info-subdued\"`, `\"border-info\"`, `\"border-caution-subdued\"`, `\"border-caution\"`, `\"border-critical-subdued\"`, `\"border-critical\"`, `\"border-critical-hover\"`, `\"border-critical-active\"`, `\"border-success-subdued\"`, `\"border-success\"`, `\"border-primary\"`, `\"border-interactive-disabled\"`, `\"border-subdued\"`, `\"border-disabled\"`, `\"border\"`, `\"border-strong\"`, `\"border-hover\"`, `\"border-input\"`, `\"border-strong-hover\"`, `\"border-inverse\"`, `\"border-input-hover\"`, `\"bg-magic-subdued\"`, `\"bg-magic-subdued-active\"`, `\"bg-magic-subdued-hover\"`, `\"bg-magic\"`, `\"bg-magic-active\"`, `\"bg-magic-hover\"`, `\"bg-magic-strong\"`, `\"bg-warning\"`, `\"bg-interactive-selected\"`, `\"bg-interactive-subdued\"`, `\"bg-interactive-subdued-hover\"`, `\"bg-interactive-subdued-active\"`, `\"bg-interactive\"`, `\"bg-interactive-hover\"`, `\"bg-interactive-active\"`, `\"bg-info-subdued-hover\"`, `\"bg-info-subdued\"`, `\"bg-info\"`, `\"bg-info-subdued-active\"`, `\"bg-info-strong\"`, `\"bg-caution-subdued-hover\"`, `\"bg-caution-subdued\"`, `\"bg-caution-subdued-active\"`, `\"bg-caution\"`, `\"bg-caution-strong\"`, `\"bg-critical-subdued-hover\"`, `\"bg-critical-subdued\"`, `\"bg-critical\"`, `\"bg-critical-subdued-active\"`, `\"bg-critical-strong\"`, `\"bg-critical-strong-hover\"`, `\"bg-critical-strong-active\"`, `\"bg-primary-subdued-selected\"`, `\"bg-primary-subdued\"`, `\"bg-success-subdued-hover\"`, `\"bg-primary-subdued-hover\"`, `\"bg-success-subdued\"`, `\"bg-success-subdued-active\"`, `\"bg-primary-subdued-active\"`, `\"bg-success\"`, `\"bg-success-strong\"`, `\"bg-primary\"`, `\"bg-primary-hover\"`, `\"bg-primary-active\"`, `\"bg\"`, `\"bg-input\"`, `\"bg-subdued\"`, `\"bg-hover\"`, `\"bg-inset\"`, `\"bg-subdued-hover\"`, `\"bg-active\"`, `\"bg-app-selected\"`, `\"bg-app-hover\"`, `\"bg-app-active\"`, `\"bg-app\"`, `\"bg-interactive-disabled\"`, `\"bg-disabled\"`, `\"bg-subdued-active\"`, `\"bg-strong\"`, `\"bg-strong-active\"`, `\"bg-strong-hover\"`, `\"bg-inverse-active\"`, `\"bg-inverse-hover\"`, `\"bg-inset-strong\"`, `\"bg-inverse\"`, `\"border-magic-secondary\"`, `\"border-critical-secondary\"`, `\"border-brand\"`, `\"border-focus\"`, `\"border-emphasis-active\"`, `\"border-emphasis-hover\"`, `\"border-emphasis\"`, `\"input-border-active\"`, `\"input-border-hover\"`, `\"input-border\"`, `\"border-tertiary\"`, `\"border-secondary\"`, `\"icon-brand\"`, `\"icon-emphasis-active\"`, `\"icon-emphasis-hover\"`, `\"icon-emphasis\"`, `\"icon-secondary\"`, `\"avatar-five-text-on-bg-fill\"`, `\"avatar-four-text-on-bg-fill\"`, `\"avatar-three-text-on-bg-fill\"`, `\"avatar-two-text-on-bg-fill\"`, `\"avatar-one-text-on-bg-fill\"`, `\"avatar-text-on-bg-fill\"`, `\"text-link-inverse\"`, `\"text-inverse-secondary\"`, `\"text-warning\"`, `\"text-info-on-bg-fill\"`, `\"text-tertiary-on-bg-fill\"`, `\"text-critical-hover\"`, `\"text-brand-hover\"`, `\"text-brand\"`, `\"text-emphasis-active\"`, `\"text-emphasis-hover\"`, `\"text-emphasis\"`, `\"text-secondary\"`, `\"avatar-five-bg-fill\"`, `\"avatar-four-bg-fill\"`, `\"avatar-three-bg-fill\"`, `\"avatar-two-bg-fill\"`, `\"avatar-one-bg-fill\"`, `\"avatar-bg-fill\"`, `\"backdrop-bg\"`, `\"bg-fill-brand-disabled\"`, `\"bg-fill-transparent-secondary\"`, `\"bg-fill-disabled\"`, `\"bg-fill-transparent-active\"`, `\"bg-fill-transparent-hover\"`, `\"bg-surface-transparent\"`, `\"bg-fill-inverse-active\"`, `\"bg-fill-inverse-hover\"`, `\"bg-fill-inverse\"`, `\"bg-fill-secondary\"`, `\"bg-surface-magic-hover\"`, `\"bg-surface-magic\"`, `\"bg-fill-magic-secondary-active\"`, `\"bg-fill-magic-secondary-hover\"`, `\"bg-fill-magic-secondary\"`, `\"bg-fill-magic\"`, `\"bg-surface-warning\"`, `\"bg-fill-warning-secondary\"`, `\"bg-fill-warning\"`, `\"bg-surface-info-active\"`, `\"bg-surface-info-hover\"`, `\"bg-surface-info\"`, `\"bg-fill-info-secondary\"`, `\"bg-fill-info\"`, `\"bg-surface-caution-active\"`, `\"bg-surface-caution-hover\"`, `\"bg-surface-caution\"`, `\"bg-fill-caution-secondary\"`, `\"bg-fill-caution\"`, `\"bg-surface-critical-active\"`, `\"bg-surface-critical-hover\"`, `\"bg-surface-critical\"`, `\"bg-fill-critical-secondary\"`, `\"bg-fill-critical-active\"`, `\"bg-fill-critical-hover\"`, `\"bg-fill-critical\"`, `\"bg-surface-success-active\"`, `\"bg-surface-success-hover\"`, `\"bg-surface-success\"`, `\"bg-fill-success-secondary\"`, `\"bg-fill-success-active\"`, `\"bg-fill-success-hover\"`, `\"bg-fill-success\"`, `\"bg-surface-selected\"`, `\"bg-surface-brand-selected\"`, `\"bg-surface-brand-active\"`, `\"bg-surface-brand-hover\"`, `\"bg-surface-brand\"`, `\"bg-fill-brand-active\"`, `\"bg-fill-brand-hover\"`, `\"bg-fill-brand\"`, `\"input-bg-surface-active\"`, `\"input-bg-surface-hover\"`, `\"input-bg-surface\"`, `\"bg-fill-tertiary-active\"`, `\"bg-fill-tertiary-hover\"`, `\"bg-fill-tertiary\"`, `\"bg-surface-tertiary\"`, `\"bg-surface-secondary-active\"`, `\"bg-surface-secondary-hover\"`, `\"bg-surface-secondary\"`, `\"bg-surface-disabled\"`, `\"bg-surface-active\"`, `\"bg-surface-hover\"`, `\"bg-surface\"`, `\"video-thumbnail-play-button-text-on-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill\"`, `\"video-thumbnail-play-button-bg-fill-hover\"`, `\"text-warning-on-bg-fill\"`, `\"text-warning-hover\"`, `\"text-warning-active\"`, `\"text-success-on-bg-fill\"`, `\"text-success-hover\"`, `\"text-success-active\"`, `\"text-magic-on-bg-fill\"`, `\"text-info-hover\"`, `\"text-info-active\"`, `\"text-emphasis-on-bg-fill\"`, `\"text-emphasis-on-bg-fill-hover\"`, `\"text-emphasis-on-bg-fill-active\"`, `\"text-critical-on-bg-fill\"`, `\"text-caution-on-bg-fill\"`, `\"text-caution-hover\"`, `\"text-caution-active\"`, `\"text-brand-on-bg-fill\"`, `\"text-brand-on-bg-fill-hover\"`, `\"text-brand-on-bg-fill-disabled\"`, `\"text-brand-on-bg-fill-active\"`, `\"bg-surface-warning-hover\"`, `\"bg-surface-warning-active\"`, `\"bg-surface-tertiary-hover\"`, `\"bg-surface-tertiary-active\"`, `\"bg-surface-secondary-selected\"`, `\"bg-surface-magic-active\"`, `\"bg-surface-inverse\"`, `\"bg-surface-emphasis\"`, `\"bg-surface-emphasis-hover\"`, `\"bg-surface-emphasis-active\"`, `\"radio-button-bg-surface-disabled\"`, `\"radio-button-icon-disabled\"`, `\"nav-bg-surface\"`, `\"nav-bg-surface-selected\"`, `\"nav-bg-surface-hover\"`, `\"nav-bg-surface-active\"`, `\"nav-bg\"`, `\"text-link\"`, `\"text-link-hover\"`, `\"text-link-active\"`, `\"icon-secondary-hover\"`, `\"icon-secondary-active\"`, `\"bg-fill\"`, `\"bg-fill-warning-hover\"`, `\"bg-fill-warning-active\"`, `\"bg-fill-transparent\"`, `\"bg-fill-transparent-selected\"`, `\"bg-fill-transparent-secondary-hover\"`, `\"bg-fill-transparent-secondary-active\"`, `\"bg-fill-selected\"`, `\"bg-fill-secondary-hover\"`, `\"bg-fill-secondary-active\"`, `\"bg-fill-info-hover\"`, `\"bg-fill-info-active\"`, `\"bg-fill-hover\"`, `\"bg-fill-emphasis\"`, `\"bg-fill-emphasis-hover\"`, `\"bg-fill-emphasis-active\"`, `\"bg-fill-critical-selected\"`, `\"bg-fill-caution-hover\"`, `\"bg-fill-caution-active\"`, `\"bg-fill-brand-selected\"`, `\"bg-fill-active\"`, `\"checkbox-bg-surface-disabled\"`, `\"checkbox-icon-disabled\"`, `\"border-warning\"`, `\"border-inverse-hover\"`, or `\"border-inverse-active\"`.\n* `outline_style` (`:string`)\n* `outline_width` (`:string`) - Must be one of `\"5\"`, `\"4\"`, `\"3\"`, `\"2\"`, `\"1\"`, `\"100\"`, `\"050\"`, `\"025\"`, or `\"0165\"`.\n* `print_hidden` (`:boolean`) - Visually hide the contents during print.\n* `visually_hidden` (`:boolean`) - Visually hide the contents (still announced by screenreader).\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Box.html#box/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Box.box/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Box.html#box/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Box.class/1","doc":"Build Class elements","ref":"OctantisWeb.Components.Polaris.Box.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Box.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.Box.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Button","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Button.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Button","doc":"```elixir\n  <.button>\n    Add product\n  </.button>\n  ```\n\nSee\n - https://polaris.shopify.com/components/actions/button\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Button/Button.tsx","ref":"OctantisWeb.Components.Polaris.Button.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Button.button/1","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Button.html#button/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Button.button/1","doc":"```elixir\n  <.button>\n    Add product\n  </.button>\n  ```\n\nSee\n - https://polaris.shopify.com/components/actions/button\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Button/Button.tsx","ref":"OctantisWeb.Components.Polaris.Button.html#button/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Button.button/1","doc":"* `class` (`:any`) - The class to be passed down to the button.\n* `content` (`:string`) - Content of the button. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether or not the action is disabled. Defaults to `false`.\n* `size` (`:string`) - Changes the size of the button, giving it more or less padding. Defaults to `\"medium\"`.\n* `text_align` (`:string`) - Changes the inner text alignment of the button. Defaults to `\"center\"`.\n* `full_width` (`:boolean`) - Allows the button to grow to the width of its container. Defaults to `false`.\n* `disclosure` (`:string`) - Displays the button with a disclosure icon. Defaults to `down` when set to true.Must be one of `\"down\"`, `\"up\"`, or `\"select\"`.\n* `data_primary_link` (`:boolean`) - Indicates whether or not the button is the primary navigation link when rendered inside of an `IndexTable.Row`.\n* `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n* `variant` (`:string`) - Changes the visual appearance of the Button. Defaults to `\"secondary\"`.\n* `submit` (`:boolean`) - Allows the button to submit a form. Defaults to `false`.\n* `name` (`:string`) - Name to be passed down to the button. Defaults to `nil`.\n* `value` (`:string`) - Name to be passed down to the button. Defaults to `nil`.\n* `phx_click` (`:any`) - Defaults to `nil`.\n* `phx_target` (`:any`) - Allows setting the target for the button. Defaults to `nil`.\n* `phx_values` (`:list`) - A list of key value pairs to be passed as a value for actions. See assign_phx_bindings/2. Defaults to `[]`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Button.html#button/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Button.button/1","doc":"* `icon` - Icon to display to the left of the button content.\n* `inner_block`","ref":"OctantisWeb.Components.Polaris.Button.html#button/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.ButtonGroup","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.ButtonGroup","doc":"```elixir\n  <.button_group>\n    <:item><.button>Cancel</.button></:item>\n    <:item><.button variant=\"primary\">Save</.button></:item>\n  </.button_group>\n  ```\n\n  ```elixir\n  <.button_group>\n    <:complex_action content=\"Cancel\" />\n    <:complex_action content=\"Save\" variant=\"primary\" />\n  </.button_group>\n  ```\n\nSee\n - https://polaris.shopify.com/components/actions/button-group\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/ButtonGroup/ButtonGroup.tsx","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.ButtonGroup.button_group/1","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.ButtonGroup.button_group/1","doc":"```elixir\n  <.button_group>\n    <:item><.button>Cancel</.button></:item>\n    <:item><.button variant=\"primary\">Save</.button></:item>\n  </.button_group>\n  ```\n\n  ```elixir\n  <.button_group>\n    <:complex_action content=\"Cancel\" />\n    <:complex_action content=\"Save\" variant=\"primary\" />\n  </.button_group>\n  ```\n\nSee\n - https://polaris.shopify.com/components/actions/button-group\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/ButtonGroup/ButtonGroup.tsx","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.ButtonGroup.button_group/1","doc":"* `gap` (`:string`) - Determines the space between button group items.Must be one of `\"extraTight\"`, `\"tight\"`, or `\"loose\"`.\n* `variant` (`:string`) - Styling variant for group.Must be one of `\"segmented\"`.\n* `full_width` (`:boolean`) - Buttons will stretch/shrink to occupy the full width.","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.ButtonGroup.button_group/1","doc":"* `button`\n* `inner_block`\n* `complex_action` - Complex action, rendered as a basic button. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.ButtonGroup.button_group_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.ButtonGroup.button_group_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.ButtonGroup.html#button_group_class/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.CalloutCard","doc":"Callout cards are used to encourage merchants to take an action related to a new feature or opportunity. They are most commonly displayed in the sales channels section of Shopify.","ref":"OctantisWeb.Components.Polaris.CalloutCard.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.CalloutCard","doc":"```elixir\n  <.callout_card title=\"Customize the style of your checkout\" illustration=\"https://cdn.shopify.com/s/assets/admin/checkout/settings-customizecart-705f57c725ac05be5a34ec20c05b94298cb8afd10aac7bd9c7ad02030f48cfa0.svg\">\n     Upload your store’s logo, change colors and fonts, and more. \n    <:primary_action content=\"Customize checkout\" url=\"#\" />\n  </.callout_card>\n  ```","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#module-examples"},{"type":"module","title":"See - OctantisWeb.Components.Polaris.CalloutCard","doc":"- https://polaris.shopify.com/components/layout-and-structure/callout-card\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/CalloutCard/CalloutCard.tsx","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#module-see"},{"type":"module","title":"Expanded CSS - OctantisWeb.Components.Polaris.CalloutCard","doc":"To size the Callout Card body to align the buttons to the bottom:\n\n```\n.Octantis-CalloutCard.Polaris-Box{\n  height:100%;\n  .Polaris-CalloutCard__Container{\n    height:100%;\n    .Polaris-LegacyCard__Section{\n      height:100%;\n      .Polaris-CalloutCard{\n        height:100%;\n        .Polaris-CalloutCard__Content{\n          height:100%;\n          display: flex;\n          flex-direction: column;\n          .Polaris-CalloutCard__Body{\n            flex-grow: 1;\n          }\n        }\n      }\n    }\n  }\n}\n```","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#module-expanded-css"},{"type":"function","title":"OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"Callout cards are used to encourage merchants to take an action related to a new feature or opportunity. They are most commonly displayed in the sales channels section of Shopify.","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"```elixir\n  <.callout_card title=\"Customize the style of your checkout\" illustration=\"https://cdn.shopify.com/s/assets/admin/checkout/settings-customizecart-705f57c725ac05be5a34ec20c05b94298cb8afd10aac7bd9c7ad02030f48cfa0.svg\">\n     Upload your store’s logo, change colors and fonts, and more. \n    <:primary_action content=\"Customize checkout\" url=\"#\" />\n  </.callout_card>\n  ```","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1-examples"},{"type":"function","title":"See - OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"- https://polaris.shopify.com/components/layout-and-structure/callout-card\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/CalloutCard/CalloutCard.tsx","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1-see"},{"type":"function","title":"Expanded CSS - OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"To size the Callout Card body to align the buttons to the bottom:\n\n```\n.Octantis-CalloutCard.Polaris-Box{\n  height:100%;\n  .Polaris-CalloutCard__Container{\n    height:100%;\n    .Polaris-LegacyCard__Section{\n      height:100%;\n      .Polaris-CalloutCard{\n        height:100%;\n        .Polaris-CalloutCard__Content{\n          height:100%;\n          display: flex;\n          flex-direction: column;\n          .Polaris-CalloutCard__Body{\n            flex-grow: 1;\n          }\n        }\n      }\n    }\n  }\n}\n```","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1-expanded-css"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"* `title` (`:string`) - The title of the card.\n* `illustration` (`:string`) - URL to the card illustration.","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.CalloutCard.callout_card/1","doc":"* `primary_action` - Primary action for the card. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Secondary action for the card. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.","ref":"OctantisWeb.Components.Polaris.CalloutCard.html#callout_card/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Card","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Card.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Card","doc":"<.card><.text as=\"h2\">Content inside a card</.text></.card>\n  <.card rounded_above=\"sm\" background=\"bg-surface-secondary\" padding=\"400\"><.text as=\"h2\">Content inside a card</.text></.card>\nSee\n - https://polaris.shopify.com/components/layout-and-structure/card\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Card/tests/Card.test.tsx","ref":"OctantisWeb.Components.Polaris.Card.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Card.border_radius/1","doc":"Builds the border radius to pass to ShadowBevel.","ref":"OctantisWeb.Components.Polaris.Card.html#border_radius/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Card.card/1","doc":"Cards are used to group similar concepts and tasks together for merchants to scan, read, and get things done. It displays content in a familiar and recognizable style.","ref":"OctantisWeb.Components.Polaris.Card.html#card/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Card.card/1","doc":"<.card><.text as=\"h2\">Content inside a card</.text></.card>\n  <.card rounded_above=\"sm\" background=\"bg-surface-secondary\" padding=\"400\"><.text as=\"h2\">Content inside a card</.text></.card>\nSee\n - https://polaris.shopify.com/components/layout-and-structure/card\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Card/tests/Card.test.tsx","ref":"OctantisWeb.Components.Polaris.Card.html#card/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Card.card/1","doc":"* `background` (`:string`) - Defaults to `\"bg-surface\"`.\n* `border_radius` (`:list`) - Border Radius passed to the ShadowBevel.\n* `padding` (`:list`) - A tuple with the size and Space token. Defaults to `[xs: \"400\"]`.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `rounded_above` (`:string`) - Border radius value above a set breakpoint.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Card.html#card/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Card.card/1","doc":"* `shadow_bevel` - Attributes to be sent to the ShadowBevel component.\n* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Card.html#card/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Checkbox","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.Checkbox.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Checkbox","doc":"```elixir\n  <.checkbox id=\"checkbox-default-default\" label=\"Checkbox label\" name=\"checkbox\"/>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/checkbox\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Checkbox/Checkbox.tsx","ref":"OctantisWeb.Components.Polaris.Checkbox.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Checkbox.checkbox/1","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.Checkbox.html#checkbox/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Checkbox.checkbox/1","doc":"```elixir\n  <.checkbox id=\"checkbox-default-default\" label=\"Checkbox label\" name=\"checkbox\"/>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/checkbox\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Checkbox/Checkbox.tsx","ref":"OctantisWeb.Components.Polaris.Checkbox.html#checkbox/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Checkbox.checkbox/1","doc":"* `aria_controls` (`:string`) - Indicates the ID of the element that is controlled by the checkbox. Defaults to `nil`.\n* `aria_described_by` (`:string`) - Indicates the ID of the element that describes the checkbox. Defaults to `nil`.\n* `label` (`:string`) (required) - Label for the checkbox.\n* `label_hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `checked` (`:boolean`) - Checkbox is selected. `indeterminate` shows a horizontal line in the checkbox. Defaults to `false`.\n* `disabled` (`:boolean`) - Disable input. Defaults to `false`.\n* `id` (`:string`) - ID for form input.\n* `name` (`:string`) (required) - Name for form input.\n* `phx_click` (`:any`) - onClick: Callback when checkbox is clicked.\n* `phx_change` (`:any`) - onChange: Callback when checkbox is toggled.\n* `label_class` (`:string`) - Added to the wrapping label.\n* `fill` (`:list`) - Grow to fill the space. Equivalent to width: 100%; height: 100%.\n* `help_text` (`:string`) - Additional text to aide in use.\n* `error` (`:string`) - Display an error message.\n* `tone` (`:string`) - Indicates the tone of the checkbox.Must be one of `\"magic\"`.\n* `phx_values` (`:list`) - A list of key value pairs to be passed as a value for actions. See assign_phx_bindings/2. Defaults to `[]`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Checkbox.html#checkbox/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Checkbox.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Checkbox.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Checkbox.input_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Checkbox.html#input_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Checkbox.label_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Checkbox.html#label_class/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Choice","doc":"Consumed by Checkbox and Radio button.\nUndocumented by Shopify.\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Choice/Choice.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Collapsible/Collapsible.tsx","ref":"OctantisWeb.Components.Polaris.Choice.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.Choice.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Choice.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Choice.choice/1","doc":"Consumed by Checkbox and Radio button.\nUndocumented by Shopify.\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Choice/Choice.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Collapsible/Collapsible.tsx","ref":"OctantisWeb.Components.Polaris.Choice.html#choice/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Choice.choice/1","doc":"* `id` (`:string`) - A unique identifier for the choice.\n* `label` (`:string`) - Label for the choice.\n* `disabled` (`:boolean`) - Whether the associated form control is disabled.\n* `label_hidden` (`:boolean`) - Visually hide the label.\n* `label_class` (`:string`) - Added to the label element. Defaults to `nil`.\n* `fill` (`:list`) - Grow to fill the space. Equivalent to width: 100%; height: 100%. Defaults to `nil`.\n* `error` (`:string`) - Display an error message.\n* `help_text` (`:string`) - Additional text to aide in use. Will add a wrapping  .\n* `tone` (`:string`) - Indicates the tone of the choice. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Choice.html#choice/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Choice.choice/1","doc":"* `inner_block` - Content to display inside the choice.","ref":"OctantisWeb.Components.Polaris.Choice.html#choice/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Choice.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Choice.html#class/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.ChoiceList","doc":"A choice list lets you create a list of grouped radio buttons or checkboxes. Use this component if you need to group together a related list of interactive choices.","ref":"OctantisWeb.Components.Polaris.ChoiceList.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.ChoiceList","doc":"```elixir\n  <.choice_list name=\"checkout\" title=\"While the customer is checking out\" allow_multiple>\n    <:choice label=\"Choice A\" value=\"a\"/>\n    <:choice label=\"Choice B\" value=\"b\"/>\n    <:choice label=\"Choice C\" value=\"c\"/>\n  </.choice_list>\n  ```\n\n  ```elixir\n  <.choice_list label=\"Status\" name={f[:status].name} allow_multiple={false}>\n    <:choice\n      :for={choice <- Ecto.Enum.dump_values(Schema.Section, :status)}\n      label={choice |> Macro.camelize()}\n      value={choice}\n      selected={f[:status].value == String.to_atom(choice)}\n    />\n  </.choice_list>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/choice-list\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/ChoiceList/ChoiceList.tsx","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.ChoiceList.as/1","doc":"A helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.ChoiceList.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"checkbox\"`, or `\"radio_button\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"name\", \"value\", \"id\", \"label\", \"disabled\", \"fill\", \"checked\", \"help_text\", \"aria_described_by\", \"phx_change\", \"phx_click\", \"phx_values\", \"tone\"]`.","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#as/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.ChoiceList.assign_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#assign_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.ChoiceList.assign_new_from_field/1","doc":"","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#assign_new_from_field/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.ChoiceList.choice_list/1","doc":"A choice list lets you create a list of grouped radio buttons or checkboxes. Use this component if you need to group together a related list of interactive choices.","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#choice_list/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.ChoiceList.choice_list/1","doc":"```elixir\n  <.choice_list name=\"checkout\" title=\"While the customer is checking out\" allow_multiple>\n    <:choice label=\"Choice A\" value=\"a\"/>\n    <:choice label=\"Choice B\" value=\"b\"/>\n    <:choice label=\"Choice C\" value=\"c\"/>\n  </.choice_list>\n  ```\n\n  ```elixir\n  <.choice_list label=\"Status\" name={f[:status].name} allow_multiple={false}>\n    <:choice\n      :for={choice <- Ecto.Enum.dump_values(Schema.Section, :status)}\n      label={choice |> Macro.camelize()}\n      value={choice}\n      selected={f[:status].value == String.to_atom(choice)}\n    />\n  </.choice_list>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/choice-list\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/ChoiceList/ChoiceList.tsx","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#choice_list/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.ChoiceList.choice_list/1","doc":"* `id` (`:string`)\n* `field` (`Phoenix.HTML.FormField`) - The Phoenix Form Field. Defaults to `nil`.\n* `title` (`:string`) - Label for list of choices.\n* `name` (`:string`) - Name for form input.\n* `allow_multiple` (`:boolean`) - Allow merchants to select multiple options at once. Defaults to `true`.\n* `title_hidden` (`:boolean`) - Toggles display of the title. Defaults to `false`.\n* `error` (`:string`) - Display an error message.\n* `disabled` (`:boolean`) - Disable all choices. Defaults to `false`.\n* `phx_click` (`:any`) - onClick: Callback when the choices are clicked. Defaults to `nil`.\n* `phx_change` (`:any`) - onChange: Callback when the selected choices change. Defaults to `nil`.\n* `tone` (`:string`) - Indicates the tone of the choice list. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#choice_list/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.ChoiceList.choice_list/1","doc":"* `choice` - Collection of choices. Accepts attributes:\n\n  * `value` (`:string`) - Value of the choice.\n  * `label` (`:string`) - Label for the choice.\n  * `id` (`:string`) - A unique identifier for the choice.\n  * `disabled` (`:boolean`) - Disable choice.\n  * `help_text` (`:string`) - Additional text to aide in use.\n  * `selected` (`:string`) - The choice is selected.\n  * `described_by_error` (`:boolean`) - Indicates that the choice is aria-describedBy the error message.","ref":"OctantisWeb.Components.Polaris.ChoiceList.html#choice_list/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Collapsible","doc":"The collapsible component is used to put long sections of information under a block that merchants can expand or collapse.","ref":"OctantisWeb.Components.Polaris.Collapsible.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Collapsible","doc":"```elixir\n  <.collapsible id=\"collapsible-default-default\" open>\n    <.text as=\"h2\" variant=\"bodyMd\">Content inside a collapse</.text>\n  </.collapsible>\n  ```\n\n  ```elixir\n  {:noreply, Collapsible.push_close(socket, \"MyId\")}\n  ```\n\nSee\n - https://polaris.shopify.com/components/utilities/collapsible\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Collapsible/Collapsible.tsx","ref":"OctantisWeb.Components.Polaris.Collapsible.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.close/2","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#close/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.collapsible/1","doc":"The collapsible component is used to put long sections of information under a block that merchants can expand or collapse.","ref":"OctantisWeb.Components.Polaris.Collapsible.html#collapsible/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Collapsible.collapsible/1","doc":"```elixir\n  <.collapsible id=\"collapsible-default-default\" open>\n    <.text as=\"h2\" variant=\"bodyMd\">Content inside a collapse</.text>\n  </.collapsible>\n  ```\n\n  ```elixir\n  {:noreply, Collapsible.push_close(socket, \"MyId\")}\n  ```\n\nSee\n - https://polaris.shopify.com/components/utilities/collapsible\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Collapsible/Collapsible.tsx","ref":"OctantisWeb.Components.Polaris.Collapsible.html#collapsible/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Collapsible.collapsible/1","doc":"* `id` (`:string`) (required) - Assign a unique ID to the collapsible. For accessibility, pass this ID as the value of the triggering component’s aria-controls prop.\n* `expand_on_print` (`:boolean`) - Option to show collapsible content when printing. Defaults to `false`.\n* `open` (`:boolean`) - Toggle whether the collapsible is expanded or not. Defaults to `false`.\n* `variant` (`:string`) - The direction the collapsible collapses in. Defaults to `\"block\"`.\n* `phx_hook` (`:string`) - Defaults to `\"OctantisInteractable\"`.","ref":"OctantisWeb.Components.Polaris.Collapsible.html#collapsible/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Collapsible.collapsible/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.Collapsible.html#collapsible/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.collapsible_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#collapsible_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.open/2","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#open/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.push_close/2","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#push_close/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.push_open/2","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#push_open/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Collapsible.toggle/2","doc":"","ref":"OctantisWeb.Components.Polaris.Collapsible.html#toggle/2"},{"type":"module","title":"OctantisWeb.Components.Polaris.ComplexAction","doc":"Complex actions are an implied component in Polaris... Usually it is a button.","ref":"OctantisWeb.Components.Polaris.ComplexAction.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.ComplexAction","doc":"See\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/types.ts#L228\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Button/utils.tsx#L28","ref":"OctantisWeb.Components.Polaris.ComplexAction.html#module-examples"},{"type":"macro","title":"OctantisWeb.Components.Polaris.ComplexAction.attributes/0","doc":"","ref":"OctantisWeb.Components.Polaris.ComplexAction.html#attributes/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.ComplexAction.complex_action/1","doc":"Complex actions are an implied component in Polaris... Usually it is a button.","ref":"OctantisWeb.Components.Polaris.ComplexAction.html#complex_action/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.ComplexAction.complex_action/1","doc":"See\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/types.ts#L228\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Button/utils.tsx#L28","ref":"OctantisWeb.Components.Polaris.ComplexAction.html#complex_action/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.ComplexAction.complex_action/1","doc":"* `id` (`:string`) - A unique identifier for the action.\n* `content` (`:string`) - Content the action displays. Defaults to `nil`.\n* `accessibility_label` (`:string`) - Visually hidden text for screen readers.\n* `url` (`:string`) - A destination to link to, rendered in the action.\n* `external` (`:boolean`) - Forces url to open in a new tab.\n* `disabled` (`:boolean`) - Whether or not the action is disabled. Defaults to `false`.\n* `full_width` (`:boolean`) - Allows the button to grow to the width of its container. Defaults to `false`.\n* `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n* `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n* `size` (`:string`) - Changes the size of the button, giving it more or less padding. Defaults to `\"medium\"`.\n* `icon` (`:any`) - Source of the icon. Defaults to `nil`.\n* `phx_click` (`:any`) - Click function passed through to the button.\n* `phx_values` (`:list`) - A list of key value pairs to be passed as a value for actions. See assign_phx_bindings/2. Defaults to `[]`.\n* `navigate` (`:string`) - Passes through to .link component.\n* `patch` (`:string`) - Passes through to .link component.\n* `href` (`:string`) - Passes through to .link component.\n* `replace` (`:string`) - Passes through to .link component.\n* `method` (`:string`) - Passes through to .link component.\n* `csrf_token` (`:string`) - Passes through to .link component.\n* `target` (`:string`) - Passes through to .link component.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.ComplexAction.html#complex_action/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Divider","doc":"Use to separate or group content.","ref":"OctantisWeb.Components.Polaris.Divider.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Divider","doc":"```elixir\n  <.divider />\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/divider\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Divider/Divider.tsx","ref":"OctantisWeb.Components.Polaris.Divider.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Divider.build_style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Divider.html#build_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Divider.divider/1","doc":"Use to separate or group content.","ref":"OctantisWeb.Components.Polaris.Divider.html#divider/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Divider.divider/1","doc":"```elixir\n  <.divider />\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/divider\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Divider/Divider.tsx","ref":"OctantisWeb.Components.Polaris.Divider.html#divider/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Divider.divider/1","doc":"* `border_color` (`:string`) - Divider border color. Defaults to `\"border-secondary\"`.\n* `border_width` (`:string`) - Divider border width. Defaults to `\"025\"`.","ref":"OctantisWeb.Components.Polaris.Divider.html#divider/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Divider.style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Divider.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.EmptyState","doc":"Empty states are used when a list, table, or chart has no items or data to show. This is an opportunity to provide explanation or guidance to help merchants progress. The empty state component is intended for use when a full page in the admin is empty, and not for individual elements or areas in the interface.","ref":"OctantisWeb.Components.Polaris.EmptyState.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.EmptyState","doc":"```elixir\n  <.empty_state image=\"/images/relax.svg\" heading=\"You don't have sections\">\n    <:action content=\"Broswe library\" />\n    Things will go here, eventually...\n  </.empty_state>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/empty-state\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/EmptyState/EmptyState.tsx","ref":"OctantisWeb.Components.Polaris.EmptyState.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.EmptyState.empty_state/1","doc":"Empty states are used when a list, table, or chart has no items or data to show. This is an opportunity to provide explanation or guidance to help merchants progress. The empty state component is intended for use when a full page in the admin is empty, and not for individual elements or areas in the interface.","ref":"OctantisWeb.Components.Polaris.EmptyState.html#empty_state/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.EmptyState.empty_state/1","doc":"```elixir\n  <.empty_state image=\"/images/relax.svg\" heading=\"You don't have sections\">\n    <:action content=\"Broswe library\" />\n    Things will go here, eventually...\n  </.empty_state>\n  ```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/empty-state\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/EmptyState/EmptyState.tsx","ref":"OctantisWeb.Components.Polaris.EmptyState.html#empty_state/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.EmptyState.empty_state/1","doc":"* `heading` (`:string`) - The empty state heading.\n* `image` (`:string`) (required) - The path to the image to display. The image should have ~40px of white space above when empty state is used within a card, modal, or navigation component.\n* `image_contained` (`:boolean`) - Whether or not to limit the image to the size of its container on large screens. Defaults to `false`.\n* `full_width` (`:boolean`) - Whether or not the content should span the full width of its container. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.EmptyState.html#empty_state/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.EmptyState.empty_state/1","doc":"* `inner_block`\n* `action` - Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.","ref":"OctantisWeb.Components.Polaris.EmptyState.html#empty_state/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Filters","doc":"Filters is a composite component that filters the items of a list or table.","ref":"OctantisWeb.Components.Polaris.Filters.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Filters","doc":"```elixir\n  </.skeleton_display_text>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/filters\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/Filters.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/components/FiltersBar/FiltersBar.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/components/FilterPill/FilterPill.tsx","ref":"OctantisWeb.Components.Polaris.Filters.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Filters.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.build_filter_pill_activator_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Filters.html#build_filter_pill_activator_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.filter_pill/1","doc":"","ref":"OctantisWeb.Components.Polaris.Filters.html#filter_pill/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Filters.filter_pill/1","doc":"* `id` (`:string`) (required)\n* `label` (`:string`) (required)\n* `unsaved_changes` (`:boolean`) - Whether the filter is newly applied or updated and hasnt been saved. Defaults to `false`.\n* `filter_key` (`:string`) (required) - A unique identifier for the filter.\n* `selected` (`:boolean`) - Whether the filter is selected or not. Defaults to `false`.\n* `initial_active` (`:boolean`) - Whether the Popover will be initially open or not. Defaults to `false`.\n* `hide_clear_button` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Whether filtering is disabled. Defaults to `false`.\n* `close_on_child_overlay_click` (`:boolean`) - Whether the filter should close when clicking inside another Popover.\n* `on_remove` (`:any`) - Callback invoked when the filter is removed. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Filters.html#filter_pill/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Filters.filter_pill/1","doc":"* `filter`","ref":"OctantisWeb.Components.Polaris.Filters.html#filter_pill/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.filters/1","doc":"Filters is a composite component that filters the items of a list or table.","ref":"OctantisWeb.Components.Polaris.Filters.html#filters/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Filters.filters/1","doc":"```elixir\n  </.skeleton_display_text>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/filters\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/Filters.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/components/FiltersBar/FiltersBar.tsx\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Filters/components/FilterPill/FilterPill.tsx","ref":"OctantisWeb.Components.Polaris.Filters.html#filters/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Filters.filters/1","doc":"* `id` (`:string`) (required)\n* `query_form` (`Phoenix.HTML.Form`) - The form that controls the query field. Defaults to `nil`.\n* `query_placeholder` (`:string`) - Placeholder text for the query field. Defaults to `nil`.\n* `focused` (`:boolean`) - Whether the query field is focused. Defaults to `false`.\n* `filters` (`:list`) - Available filters added to the filter bar. Shortcut filters are pinned to the front of the bar. Defaults to `[]`.\n* `on_query_change` (`:any`) - Callback when the query field is changed. Defaults to `nil`.\n* `on_query_clear` (`:any`) - Callback when the clear button is triggered. Defaults to `nil`.\n* `on_clear_all` (`:any`) - Callback when the reset all button is pressed. Defaults to `nil`.\n* `on_toggle_filter` (`:any`) - Callback for when a filter is applied or unapplied. Defaults to `nil`.\n* `on_query_blur` (`:any`) - Callback when the query field is blurred. Defaults to `nil`.\n* `on_query_focus` (`:any`) - Callback when the query field is focused. Defaults to `nil`.\n* `disabled` (`:boolean`) - Disable all filters. Defaults to `false`.\n* `hide_filters` (`:boolean`) - Hide filter bar for applied filters. Defaults to `false`.\n* `hide_query_field` (`:boolean`) - Hide the query field. Defaults to `false`.\n* `disable_query_field` (`:boolean`) - Disable the query field. Defaults to `false`.\n* `disable_filters` (`:boolean`) - Disable the filters. Defaults to `false`.\n* `borderless_query_field` (`:boolean`) - Whether the text field should be borderless. Should be true when used as part of the IndexFilters component. Defaults to `false`.\n* `loading` (`:boolean`) - Whether an asyncronous task is currently being run. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Filters.html#filters/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Filters.filters/1","doc":"* `query_bar`\n* `filter_bar`","ref":"OctantisWeb.Components.Polaris.Filters.html#filters/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.filters_bar/1","doc":"","ref":"OctantisWeb.Components.Polaris.Filters.html#filters_bar/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Filters.filters_bar/1","doc":"* `id` (`:string`) (required)\n* `filters` (`:list`) - Available filters added to the filter bar. Shortcut filters are pinned to the front of the bar. Defaults to `[]`.\n* `on_clear_all` (`:any`) - Callback when the reset all button is pressed. Defaults to `nil`.\n* `on_toggle_filter` (`:any`) - Callback for when a filter is applied or unapplied. Defaults to `nil`.\n* `disabled` (`:boolean`) - Disable all filters. Defaults to `false`.\n* `hide_query_field` (`:boolean`) - Hide the query field. Defaults to `false`.\n* `disable_filters` (`:boolean`) - Disable the filters. Defaults to `false`.\n* `on_add_filter_click` (`:any`) - Callback when the add filter button is clicked. Defaults to `nil`.\n* `close_on_child_overlay_click` (`:boolean`) - Whether the filter should close when clicking inside another Popover. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Filters.html#filters_bar/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Filters.filters_bar/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.Filters.html#filters_bar/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Filters.query_field/1","doc":"","ref":"OctantisWeb.Components.Polaris.Filters.html#query_field/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Filters.query_field/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `query_form` (`Phoenix.HTML.Form`) - Defaults to `nil`.\n* `phx_submit` (`:any`) - Defaults to `nil`.\n* `phx_change` (`:any`) - Defaults to `nil`.\n* `phx_focus` (`:any`) - Defaults to `nil`.\n* `phx_blur` (`:any`) - Defaults to `nil`.\n* `on_clear` (`:any`) - Defaults to `nil`.\n* `focused` (`:boolean`) - Defaults to `false`.\n* `placeholder` (`:string`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `borderless_query_field` (`:boolean`) - Defaults to `false`.\n* `loading` (`:boolean`) - Show a loading spinner to the right of the input. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Filters.html#query_field/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Filters.query_field/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.Filters.html#query_field/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Filters.Filter","doc":"The struct for holding a filter.","ref":"OctantisWeb.Components.Polaris.Filters.Filter.html"},{"type":"module","title":"OctantisWeb.Components.Polaris.Filters.Filter.Choice","doc":"Choices for filters","ref":"OctantisWeb.Components.Polaris.Filters.Filter.Choice.html"},{"type":"module","title":"OctantisWeb.Components.Polaris.Grid","doc":"Create complex layouts based on CSS Grid.","ref":"OctantisWeb.Components.Polaris.Grid.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Grid","doc":"<.grid columns={[sm: 3]}>\n    <:grid_cell column_span={[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]}>\n      <.card>\n        <.text as=\"h2\" variant=\"bodyMd\">View a summary of your online store’s sales.</.text>\n      </.card>\n    </:grid_cell>\n    <:grid_cell column_span={[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]}>\n      <.card>\n        <.text as=\"h2\" variant=\"bodyMd\">View a summary of your online store’s orders.</.text>\n      </.card>\n    </:grid_cell>\n  </.grid>\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/grid\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Grid/Grid.tsx","ref":"OctantisWeb.Components.Polaris.Grid.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.camelize_breakpoint/1","doc":"","ref":"OctantisWeb.Components.Polaris.Grid.html#camelize_breakpoint/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.cell_style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.Grid.html#cell_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.column_span_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Grid.html#column_span_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.column_style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Grid.html#column_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.grid/1","doc":"Create complex layouts based on CSS Grid.","ref":"OctantisWeb.Components.Polaris.Grid.html#grid/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Grid.grid/1","doc":"<.grid columns={[sm: 3]}>\n    <:grid_cell column_span={[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]}>\n      <.card>\n        <.text as=\"h2\" variant=\"bodyMd\">View a summary of your online store’s sales.</.text>\n      </.card>\n    </:grid_cell>\n    <:grid_cell column_span={[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]}>\n      <.card>\n        <.text as=\"h2\" variant=\"bodyMd\">View a summary of your online store’s orders.</.text>\n      </.card>\n    </:grid_cell>\n  </.grid>\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/grid\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Grid/Grid.tsx","ref":"OctantisWeb.Components.Polaris.Grid.html#grid/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Grid.grid/1","doc":"* `columns` (`:list`) - The number of columns at a breakpoint.Examples include `[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]`.\n* `areas` (`:list`) - grid-areas.Examples include `[xs: [\"product product sidebar\", \"product product sidebar\"]]`.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.Grid.html#grid/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Grid.grid/1","doc":"* `grid_cell` - the slots for grid cells. Accepts attributes:\n\n  * `column_span` (`:list`) - The size of each column at a breakpoint.Examples include `[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]`.\n  * `area` (`:string`) - Area name for the grid cell.\n  * `style` (`:string`) - Style attribute.\n  * `align_items` (`:string`) - Style attribute.\n  * `align_self` (`:string`) - Style attribute.\n  * `display` (`:string`) - Style attribute.\n  * `flex_grow` (`:string`) - Style attribute.\n  * `grid_auto_rows` (`:string`) - Style attribute.\n  * `grid_template_columns` (`:string`) - Style attribute.\n  * `grid_template_rows` (`:string`) - Style attribute.\n  * `justify_content` (`:string`) - Style attribute.\n  * `margin` (`:string`) - Style attribute.\n  * `max_height` (`:string`) - Style attribute.\n  * `min_height` (`:string`) - Style attribute.\n  * `object_fit` (`:string`) - Style attribute.\n  * `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.Grid.html#grid/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.grid_cell/1","doc":"See\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Grid/components/Cell/Cell.tsx","ref":"OctantisWeb.Components.Polaris.Grid.html#grid_cell/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Grid.grid_cell/1","doc":"* `area` (`:string`) - Area name for the grid cell.\n* `column_span` (`:list`) - The number of columns a cell spans at each breakpoint.Examples include `[xs: 6, sm: 3, md: 3, lg: 6, xl: 6]`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.Grid.html#grid_cell/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Grid.grid_cell/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Grid.html#grid_cell/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.grid_cell_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Grid.html#grid_cell_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.row_style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Grid.html#row_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Grid.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.Grid.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Icon","doc":"Icons are used to visually communicate core parts of the product and available actions. They can act as wayfinding tools to help merchants more easily understand where they are in the product, and common interaction patterns that are available.","ref":"OctantisWeb.Components.Polaris.Icon.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Icon","doc":"<.icon>\n       \n    </.icon>\n\n  See\n   - https://polaris.shopify.com/components/images-and-icons/icon?example=icon-default\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Badge/Badge.tsx\n   - https://polaris.shopify.com/icons","ref":"OctantisWeb.Components.Polaris.Icon.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icon.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icon.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icon.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icon.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icon.icon/1","doc":"Icons are used to visually communicate core parts of the product and available actions. They can act as wayfinding tools to help merchants more easily understand where they are in the product, and common interaction patterns that are available.","ref":"OctantisWeb.Components.Polaris.Icon.html#icon/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Icon.icon/1","doc":"<.icon>\n       \n    </.icon>\n\n  See\n   - https://polaris.shopify.com/components/images-and-icons/icon?example=icon-default\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Badge/Badge.tsx\n   - https://polaris.shopify.com/icons","ref":"OctantisWeb.Components.Polaris.Icon.html#icon/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Icon.icon/1","doc":"* `tone` (`:string`) - Must be one of `\"base\"`, `\"inherit\"`, `\"subdued\"`, `\"caution\"`, `\"warning\"`, `\"critical\"`, `\"interactive\"`, `\"info\"`, `\"success\"`, `\"primary\"`, `\"emphasis\"`, `\"magic\"`, `\"textCaution\"`, `\"textWarning\"`, `\"textCritical\"`, `\"textInfo\"`, `\"textSuccess\"`, `\"textPrimary\"`, or `\"textMagic\"`.\n* `accessibility_label` (`:string`)","ref":"OctantisWeb.Components.Polaris.Icon.html#icon/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Icon.icon/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Icon.html#icon/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icon.tone_values/0","doc":"","ref":"OctantisWeb.Components.Polaris.Icon.html#tone_values/0"},{"type":"module","title":"OctantisWeb.Components.Polaris.Icons","doc":"Selected Polaris Icons. Used with PolarisComponents.Icon","ref":"OctantisWeb.Components.Polaris.Icons.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Icons","doc":"```elixir\n   \n  ```\n\nSee\n - https://polaris.shopify.com/icons","ref":"OctantisWeb.Components.Polaris.Icons.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.adjust/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#adjust/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.alert_circle/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#alert_circle/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.alert_diamond/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#alert_diamond/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.alert_triangle/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#alert_triangle/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.arrow_left/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#arrow_left/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.arrow_right/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#arrow_right/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.caret_down/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#caret_down/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.check/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#check/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.check_circle/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#check_circle/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.chevron_down/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#chevron_down/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.chevron_left/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#chevron_left/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.chevron_right/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#chevron_right/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.chevron_up/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#chevron_up/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.delete/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#delete/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.edit/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#edit/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.external_small/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#external_small/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.info/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#info/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.layout_columns_1/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#layout_columns_1/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.layout_columns_2/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#layout_columns_2/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.layout_columns_3/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#layout_columns_3/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.lock/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#lock/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.maximize/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#maximize/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.menu_horizontal/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#menu_horizontal/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.menu_vertical/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#menu_vertical/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.minimize/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#minimize/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.plus/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#plus/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.plus_circle/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#plus_circle/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.search/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#search/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.select/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#select/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.view/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#view/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.x/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#x/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.x_circle/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#x_circle/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Icons.x_small/1","doc":"","ref":"OctantisWeb.Components.Polaris.Icons.html#x_small/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Image","doc":"Just an image.","ref":"OctantisWeb.Components.Polaris.Image.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Image","doc":"<.image source=\"/images/relax.svg\" alt=\"Nothing here yet\"/>\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Image/Image.tsx","ref":"OctantisWeb.Components.Polaris.Image.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Image.image/1","doc":"Just an image.","ref":"OctantisWeb.Components.Polaris.Image.html#image/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Image.image/1","doc":"<.image source=\"/images/relax.svg\" alt=\"Nothing here yet\"/>\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Image/Image.tsx","ref":"OctantisWeb.Components.Polaris.Image.html#image/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Image.image/1","doc":"* `alt` (`:string`) - Defaults to `nil`.\n* `source` (`:string`) (required)\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Image.html#image/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.IndexTable","doc":"An index table displays a collection of objects of the same type, like orders or products. The main job of an index table is to help merchants get an at-a-glance of the objects to perform actions or navigate to a full-page representation of it.","ref":"OctantisWeb.Components.Polaris.IndexTable.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.IndexTable","doc":"```elixir\n<.index_table />\n```\n\nSee\n- https://polaris.shopify.com/components/tables/index-table\n- https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/IndexTable/IndexTable.tsx","ref":"OctantisWeb.Components.Polaris.IndexTable.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.assign_bulk_action_wrapper_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#assign_bulk_action_wrapper_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.assign_table_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#assign_table_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.build_bulk_action_wrapper_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#build_bulk_action_wrapper_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.build_table_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#build_table_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.build_tr_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#build_tr_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.bulk_action_wrapper/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#bulk_action_wrapper/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.bulk_action_wrapper/1","doc":"* `id` (`:string`) (required)\n* `on_toggle_all` (`:any`)\n* `selected_count` (`:integer`) (required)\n* `selected` (`:map`) - A map of row ids to 'true' or 'false'. Defaults to `%{}`.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#bulk_action_wrapper/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.IndexTable.bulk_action_wrapper/1","doc":"* `promoted_bulk_action` - BulkActions for the table. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#bulk_action_wrapper/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.bulk_action_wrapper_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#bulk_action_wrapper_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.checkable_button/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#checkable_button/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.checkable_button/1","doc":"* `id` (`:string`) (required)\n* `name` (`:string`) - Defaults to `\"select_all\"`.\n* `accessibility_label` (`:string`) - Defaults to `nil`.\n* `label` (`:string`) - Defaults to `nil`.\n* `checked` (`:atom`) - Must be one of `true`, `false`, or `:indeterminate`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `phx_click` (`:any`) - onClick: Callback when row is clicked.\n* `aria_live` (`:atom`) - Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#checkable_button/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table/1","doc":"An index table displays a collection of objects of the same type, like orders or products. The main job of an index table is to help merchants get an at-a-glance of the objects to perform actions or navigate to a full-page representation of it.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.IndexTable.index_table/1","doc":"```elixir\n<.index_table />\n```\n\nSee\n- https://polaris.shopify.com/components/tables/index-table\n- https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/IndexTable/IndexTable.tsx","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table/1","doc":"* `id` (`:string`) - A unique identifier for the table. Defaults to `\"IndexTable\"`.\n* `selectable` (`:boolean`) (required) - Include the selection checkboxes to the left.\n* `selected` (`:map`) - A map of row ids to 'true' or 'false'. Defaults to `%{}`.\n* `rows` (`:list`) (required) - A list of items, each item must have an id.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `on_selection_change` (`:any`) - Callback for when the checkbox is toggled. Defaults to `nil`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.IndexTable.index_table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `header` (`:any`) (required) - Examples include `\"Order\"`, `\"Date\"`, `\"Customer\"`, and `{\"Total\", [alignment: \"end\"]}`.\n  * `class` (`:any`) - Class to be passed on to the header and cell.\n* `promoted_bulk_action` - BulkActions for the table. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `inner_block`","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table_cell/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_cell/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table_cell/1","doc":"* `phx_click` (`:any`) - onClick: Callback when row is clicked.\n* `class` (`:any`) - Class to be passed on to the cell.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_cell/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.IndexTable.index_table_cell/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_cell/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table_row/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_row/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table_row/1","doc":"* `phx_click` (`:any`) - onClick: Callback when row is clicked.\n* `checked` (`:boolean`) (required)\n* `selectable` (`:boolean`) (required)","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_row/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.IndexTable.index_table_row/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_row/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table_row_checkbox/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_row_checkbox/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table_row_checkbox/1","doc":"* `id` (`:string`)\n* `parent_id` (`:string`)\n* `on_selection_change` (`:any`) - Callback for when the checkbox is toggled.\n* `checked` (`:boolean`) - Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_row_checkbox/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table_th/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_th/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table_th/1","doc":"* `heading` (`:any`) (required)\n* `index` (`:integer`) (required)\n* `last` (`:boolean`) (required)\n* `selectable` (`:boolean`) (required)\n* `class` (`:any`) - Class to be passed on to the header and cel.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_th/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.index_table_th_checkbox/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_th_checkbox/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.IndexTable.index_table_th_checkbox/1","doc":"* `id` (`:string`)\n* `on_selection_change` (`:any`) - Callback for when the checkbox is toggled.\n* `checked` (`:boolean`) - Defaults to `false`.\n* `selected_count` (`:integer`) (required) - The number of selected rows.","ref":"OctantisWeb.Components.Polaris.IndexTable.html#index_table_th_checkbox/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.table_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#table_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.th_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#th_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.th_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#th_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.IndexTable.tr_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.IndexTable.html#tr_class/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.InlineError","doc":"Inline errors are brief, in-context messages that tell merchants something went wrong with a single or group of inputs in a form. Use inline errors to help merchants understand why a form input may not be valid and how to fix it.","ref":"OctantisWeb.Components.Polaris.InlineError.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.InlineError","doc":"```elixir\n  </.inline_error message=\"Store name is required\" field_id=\"myFieldID\" >\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/inline-error\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineError/InlineError.tsx","ref":"OctantisWeb.Components.Polaris.InlineError.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineError.inline_error/1","doc":"Inline errors are brief, in-context messages that tell merchants something went wrong with a single or group of inputs in a form. Use inline errors to help merchants understand why a form input may not be valid and how to fix it.","ref":"OctantisWeb.Components.Polaris.InlineError.html#inline_error/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.InlineError.inline_error/1","doc":"```elixir\n  </.inline_error message=\"Store name is required\" field_id=\"myFieldID\" >\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/inline-error\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineError/InlineError.tsx","ref":"OctantisWeb.Components.Polaris.InlineError.html#inline_error/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.InlineError.inline_error/1","doc":"* `message` (`:string`) (required) - Content briefly explaining how to resolve the invalid form field input.\n* `field_id` (`:string`) - Unique identifier of the invalid form field that the message describes.","ref":"OctantisWeb.Components.Polaris.InlineError.html#inline_error/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.InlineGrid","doc":"Use to lay out children horizontally with equal gap between columns. Based on CSS Grid.","ref":"OctantisWeb.Components.Polaris.InlineGrid.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.InlineGrid","doc":"```elixir\n  <.inline_grid columns={[xs: \"1fr\", md: \"1fr 1fr\"]}>\n     Contents \n     Contents \n  </.inline_grid>\n```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/inline-grid\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineGrid/InlineGrid.tsx","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineGrid.inline_grid/1","doc":"Use to lay out children horizontally with equal gap between columns. Based on CSS Grid.","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#inline_grid/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.InlineGrid.inline_grid/1","doc":"```elixir\n  <.inline_grid columns={[xs: \"1fr\", md: \"1fr 1fr\"]}>\n     Contents \n     Contents \n  </.inline_grid>\n```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/inline-grid\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineGrid/InlineGrid.tsx","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#inline_grid/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.InlineGrid.inline_grid/1","doc":"* `gap` (`:list`) - The spacing between children. Accepts a spacing token or an object of spacing tokens for different screen sizes.Examples include `[xs: \"200\"]`, and `[xs: \"100\", sm: \"200\", md: \"300\", lg: \"400\", xl: \"500\"]`.\n* `columns` (`:list`) - The number of columns to display. Accepts either a single value or an object of values for different screen sizes.Examples include `[xs: 2]`, `[xs: 1, sm: 2, md: 3, lg: 4, xl: 6]`, and `[xs: 1, md: \"2fr 1fr\"]`.\n* `align_items` (`:string`) - Vertical alignment of children. If not set, inline elements will stretch to the height of the parent.Must be one of `\"start\"`, `\"end\"`, or `\"center\"`.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `style` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#inline_grid/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.InlineGrid.inline_grid/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#inline_grid/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineGrid.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.InlineGrid.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.InlineStack","doc":"Use to display children horizontally in a row. Based on CSS Flexbox.","ref":"OctantisWeb.Components.Polaris.InlineStack.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.InlineStack","doc":"```elixir\n  <.inline_stack gap={[xs: 500]}>\n     Contents \n     Contents \n  </.inline_stack>\n```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/inline-stack\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineStack/InlineStack.tsx","ref":"OctantisWeb.Components.Polaris.InlineStack.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineStack.as/1","doc":"A helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.InlineStack.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.InlineStack.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"div\"`, `\"span\"`, `\"li\"`, `\"ol\"`, or `\"ul\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.InlineStack.html#as/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.InlineStack.as/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.InlineStack.html#as/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineStack.inline_stack/1","doc":"Use to display children horizontally in a row. Based on CSS Flexbox.","ref":"OctantisWeb.Components.Polaris.InlineStack.html#inline_stack/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.InlineStack.inline_stack/1","doc":"```elixir\n  <.inline_stack gap={[xs: 500]}>\n     Contents \n     Contents \n  </.inline_stack>\n```\n\nSee\n - https://polaris.shopify.com/components/layout-and-structure/inline-stack\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/InlineStack/InlineStack.tsx","ref":"OctantisWeb.Components.Polaris.InlineStack.html#inline_stack/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.InlineStack.inline_stack/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `as` (`:string`) - HTML Element type. Defaults to `\"div\"`.\n* `align` (`:string`) - Horizontal alignment of children.Must be one of `\"start\"`, `\"center\"`, `\"end\"`, `\"space-around\"`, `\"space-between\"`, or `\"space-evenly\"`.\n* `direction` (`:list`) - Horizontal direction in which children are laid out. Defaults to `[xs: \"row\"]`.\n* `block_align` (`:string`) - Vertical alignment of children.Must be one of `\"start\"`, `\"center\"`, `\"end\"`, `\"baseline\"`, or `\"stretch\"`.\n* `gap` (`:list`) - The spacing between elements. Accepts a spacing token or an object of spacing tokens for different screen sizes.Examples include `[xs: \"200\", sm: \"300\", md: \"400\", lg: \"500\", xl: \"600\"]`.\n* `wrap` (`:boolean`) - Wrap stack elements to additional rows as needed on small screens. Defaults to `true`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.InlineStack.html#inline_stack/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.InlineStack.inline_stack/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.InlineStack.html#inline_stack/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.InlineStack.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.InlineStack.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Labelled","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.Labelled.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Labelled","doc":"```elixir\n  </.labelled>\n  ```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Labelled/Labelled.tsx","ref":"OctantisWeb.Components.Polaris.Labelled.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.build_style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#build_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.label/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#label/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Labelled.label/1","doc":"* `id` (`:string`) - A unique identifier for the label.\n* `hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `required_indicator` (`:boolean`) - Visual required indicator for the label. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Labelled.html#label/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Labelled.label/1","doc":"* `inner_block` (required) - Label content.","ref":"OctantisWeb.Components.Polaris.Labelled.html#label/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.label_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#label_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.label_text_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#label_text_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.labelled/1","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.Labelled.html#labelled/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Labelled.labelled/1","doc":"```elixir\n  </.labelled>\n  ```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Labelled/Labelled.tsx","ref":"OctantisWeb.Components.Polaris.Labelled.html#labelled/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Labelled.labelled/1","doc":"* `id` (`:string`) - A unique identifier for the label.\n* `label` (`:string`) (required) - Text for the label.\n* `error` (`:string`) - Error to display beneath the label. Defaults to `nil`.\n* `action` (`:any`) - An action. Defaults to `false`.\n* `help_text` (`:string`) - Additional hint text to display. Defaults to `nil`.\n* `label_hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `required_indicator` (`:boolean`) - Visual required indicator for the label. Defaults to `false`.\n* `disabled` (`:boolean`) - Labels signify a disabled control. Defaults to `false`.\n* `read_only` (`:boolean`) - Labels signify a readOnly control. Defaults to `false`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Labelled.html#labelled/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Labelled.labelled/1","doc":"* `inner_block` (required) - Content to display inside the connected.","ref":"OctantisWeb.Components.Polaris.Labelled.html#labelled/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Labelled.style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Labelled.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.MediaCard","doc":"Media cards provide a consistent layout to present visual information to merchants.\nVisual media is used to provide additional context to the written information it's paired with.","ref":"OctantisWeb.Components.Polaris.MediaCard.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.MediaCard","doc":"```elixir\n<.media_card description=\"description\" title=\"title\">\n   \n</.media_card>\n```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/MediaCard/MediaCard.tsx\n - https://polaris.shopify.com/components/layout-and-structure/media-card","ref":"OctantisWeb.Components.Polaris.MediaCard.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.action_container_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#action_container_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.action_container_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#action_container_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.info_container_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#info_container_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.info_container_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#info_container_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.media_card/1","doc":"Media cards provide a consistent layout to present visual information to merchants.\nVisual media is used to provide additional context to the written information it's paired with.","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.MediaCard.media_card/1","doc":"```elixir\n<.media_card description=\"description\" title=\"title\">\n   \n</.media_card>\n```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/MediaCard/MediaCard.tsx\n - https://polaris.shopify.com/components/layout-and-structure/media-card","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.MediaCard.media_card/1","doc":"* `portrait` (`:boolean`) - Whether or not card content should be laid out vertically. Defaults to `false`.\n* `size` (`:string`) - Size of the visual media in the card. Defaults to `\"medium\"`.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.MediaCard.media_card/1","doc":"* `title` - Heading content.\n* `inner_block` (required) - The visual media to display in the card.\n* `primary_action` - Main call to action, rendered as a basic button. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Secondary call to action, rendered as a plain button. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `description` - Body content.\n* `card` - Attributes to be sent to the Card component.\n* `media_container` - Attributes to be sent to the MediaContainter.","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.media_card_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.media_card_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_card_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.media_container_build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_container_build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.MediaCard.media_container_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.MediaCard.html#media_container_class/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Modal","doc":"Modals are overlays that require merchants to take an action before they can continue interacting with the rest of Shopify. They can be disruptive and should be used thoughtfully and sparingly.\n\nPolaris marks this component as `Deprecated` and suggests you use the AppBridge Modal instead.\nHowever, the AppBridge Modal is severly limited and it might be best to still use this for the time being.\n\nSee\n - https://polaris.shopify.com/components/deprecated/modal\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Modal/Modal.tsx","ref":"OctantisWeb.Components.Polaris.Modal.html"},{"type":"module","title":"Open a modal from the server - OctantisWeb.Components.Polaris.Modal","doc":"```javascript\nHooks.ShopifyModal = {\n  mounted(){\n    id = this.el.id\n    this.handleEvent(`polaris:modal_show_${id}`, (event) => this.liveSocket.execJS(this.el, this.el.getAttribute(\"data-show\")))\n    this.handleEvent(`polaris:modal_hide_${id}`, (event) => this.liveSocket.execJS(this.el, this.el.getAttribute(\"data-hide\")))\n  }\n}\n```\n\n```elixir\n<.modal id=\"my_modal_id\" title=\"My Modal\" phx_hook=\"ShopifyModal\">\n  Content\n  <:action content=\"Ok\"/>\n</.modal>\n```\n\n```elixir\n{:noreply, socket |> Modal.push_open(\"my_modal_id\")}\n```","ref":"OctantisWeb.Components.Polaris.Modal.html#module-open-a-modal-from-the-server"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.assign_background/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#assign_background/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.assign_color/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#assign_color/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.backdrop/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#backdrop/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Modal.backdrop/1","doc":"* `phx_click` (`:string`) - Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Modal.html#backdrop/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.backdrop_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#backdrop_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.content_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#content_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.footer_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#footer_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.header_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#header_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.hide/2","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#hide/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.modal/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#modal/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Modal.modal/1","doc":"* `id` (`:string`) (required) - id of the modal.\n* `title_hidden` (`:boolean`) - Hide the title in the modal. Defaults to `false`.\n* `icon` (`:any`) - Status icon to display in the header. Defaults to `nil`.\n* `open` (`:boolean`) - Whether the modal is open or not. Defaults to `false`.\n* `size` (`:string`) - Set the size of the modal. Defaults to `nil`.\n* `tone` (`:string`) - Sets the status of the banner. Defaults to `\"tertiary\"`.\n* `title` (`:string`) - The content for the title of the modal. Defaults to `\"\"`.\n* `limit_height` (`:boolean`) - Limits modal height on large sceens with scrolling. Defaults to `false`.\n* `loading` (`:boolean`) - Replaces modal content with a spinner while a background action is being performed. Defaults to `false`.\n* `show_backdrop` (`:boolean`) - Should the backdrop be show with the modal?. Defaults to `true`.\n* `on_close` (`:any`) - Callback when the modal clsoe button is clicked.\n* `phx_hook` (`:string`) - Defaults to `nil`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.Modal.html#modal/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Modal.modal/1","doc":"* `inner_block`\n* `action` - Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `dismiss_action` - A complext action to use insread of the standard dismiss X. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n  * `hidden` (`:boolean`)\n* `header` - Pass attrs to the header wrapper, or override it completely.\n* `content` - Pass attrs to the content wrapper, or override it completely.\n* `footer` - Pass attrs to the header wrapper, or override it completely.","ref":"OctantisWeb.Components.Polaris.Modal.html#modal/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.push_close/2","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#push_close/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.push_open/2","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#push_open/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.show/2","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#show/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Modal.wrapper_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Modal.html#wrapper_id/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Page","doc":"Use to build the outer wrapper of a page, including the page title and associated actions.","ref":"OctantisWeb.Components.Polaris.Page.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Page","doc":"<.page></.page>\n\nSee\n  - https://polaris.shopify.com/components/layout-and-structure/page\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Page/Page.tsx\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Page/tests/Page.test.tsx","ref":"OctantisWeb.Components.Polaris.Page.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Page.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Page.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.header/1","doc":"A header inside of a page.\n\nSee\n\n- polaris-react/src/components/Page/components/Header/Header.tsx","ref":"OctantisWeb.Components.Polaris.Page.html#header/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Page.header/1","doc":"* `title` (`:string`) - Page title, in large type.\n* `subtitle` (`:string`) - Page subtitle, in regular type.\n* `title_hidden` (`:boolean`) - Visually hide the title. Defaults to `false`.\n* `title_metadata` (`:any`) - title_metadata slot passed through. Defaults to `[]`.\n* `page_ready_accessibility_label` (`:string`) - A label to use for the page when the page is ready, used by screen readers.\n      Will override the title prop if present\n\n* `filter_actions` (`:boolean`) - Enables filtering action list items.\n* `pagination` (`:string`) - Page-level pagination. Defaults to `nil`.\n* `back_action` (`:any`) - Breadcrumb back action.\n* `primary_action` (`:any`) - Primary action for the card.\n* `secondary_action` (`:any`) - Secondary action for the card.","ref":"OctantisWeb.Components.Polaris.Page.html#header/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.hide/2","doc":"","ref":"OctantisWeb.Components.Polaris.Page.html#hide/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.page/1","doc":"Use to build the outer wrapper of a page, including the page title and associated actions.","ref":"OctantisWeb.Components.Polaris.Page.html#page/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Page.page/1","doc":"<.page></.page>\n\nSee\n  - https://polaris.shopify.com/components/layout-and-structure/page\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Page/Page.tsx\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Page/tests/Page.test.tsx","ref":"OctantisWeb.Components.Polaris.Page.html#page/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Page.page/1","doc":"* `id` (`:string`) - Defaults to `\"Page\"`.\n* `title` (`:string`) - Page title, in large type. Defaults to `nil`.\n* `subtitle` (`:string`) - Page subtitle, in regular type. Defaults to `nil`.\n* `full_width` (`:boolean`) - Remove the normal max-width on the page. Defaults to `false`.\n* `narrow_width` (`:boolean`) - Decreases the maximum layout width. Intended for single-column layouts. Defaults to `false`.\n* `phx_hook` (`:string`) - Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Page.html#page/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Page.page/1","doc":"* `title_metadata` - Important status information shown immediately after the title.\n* `back_action` - Breadcrumb back action. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `primary_action` - Primary action for the card. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `secondary_action` - Secondary action for the card. Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Page.html#page/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.show/2","doc":"","ref":"OctantisWeb.Components.Polaris.Page.html#show/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Page.title/1","doc":"A title inside of a header\n\nSee\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Page/components/Header/components/Title/Title.tsx","ref":"OctantisWeb.Components.Polaris.Page.html#title/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Page.title/1","doc":"* `title` (`:string`) - Page title, in large type.\n* `subtitle` (`:string`) - Page subtitle, in regular type.\n* `title_metadata` (`:any`) - title_metadata slot passed through. Defaults to `[]`.\n* `compact_title` (`:boolean`) - Removes spacing between title and subtitle.\n* `has_subtitle_max_width` (`:boolean`) - Whether or not to add a max-width to the subtitle. Gets calculated by the presence of either the secondaryActions or actionGroups props on the Header that consumes this component.","ref":"OctantisWeb.Components.Polaris.Page.html#title/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Pagination","doc":"Use pagination to let merchants move through an ordered collection of items that has been split into pages. On the web, pagination uses buttons to move back and forth between pages. On iOS and Android, pagination uses infinite scrolling.","ref":"OctantisWeb.Components.Polaris.Pagination.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Pagination","doc":"```elixir\n  </.Pagination>\n  ```\n\nSee\n - https://polaris.shopify.com/components/navigation/pagination\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Pagination/Pagination.tsx","ref":"OctantisWeb.Components.Polaris.Pagination.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Pagination.pagination/1","doc":"Use pagination to let merchants move through an ordered collection of items that has been split into pages. On the web, pagination uses buttons to move back and forth between pages. On iOS and Android, pagination uses infinite scrolling.","ref":"OctantisWeb.Components.Polaris.Pagination.html#pagination/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Pagination.pagination/1","doc":"```elixir\n  </.Pagination>\n  ```\n\nSee\n - https://polaris.shopify.com/components/navigation/pagination\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Pagination/Pagination.tsx","ref":"OctantisWeb.Components.Polaris.Pagination.html#pagination/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Pagination.pagination/1","doc":"* `id` (`:string`) - Defaults to `\"\"`.\n* `has_next` (`:boolean`) - Whether there is a next page to show. Defaults to `false`.\n* `has_previous` (`:boolean`) - Whether there is a previous page to show. Defaults to `false`.\n* `accessibility_label` (`:string`) - Accessible label for the pagination. Defaults to `\"pagination\"`.\n* `on_next` (`:any`) - Callback when next button is clicked. Defaults to `nil`.\n* `on_previous` (`:any`) - Callback when previous button is clicked. Defaults to `nil`.\n* `label` (`:string`) - Text to provide more context in between the arrow buttons. Defaults to `nil`.\n* `type` (`:string`) - Layout structure of the component. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Pagination.html#pagination/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Popover","doc":"Popovers are small overlays that open on demand. They let merchants access additional content and actions without cluttering the page.","ref":"OctantisWeb.Components.Polaris.Popover.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Popover","doc":"```elixir\n  <.popover id=\"someid\">\n    <:activator content=\"More Actions\"/>\n    <:action content=\"Import\"/>\n    <:action content=\"Export\"/>\n  </.popover>\n  ```\n\nSee\n - https://polaris.shopify.com/components/overlays/popover\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Popover/Popover.tsx","ref":"OctantisWeb.Components.Polaris.Popover.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Popover.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Popover.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Popover.hide_popover/2","doc":"","ref":"OctantisWeb.Components.Polaris.Popover.html#hide_popover/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Popover.popover/1","doc":"Popovers are small overlays that open on demand. They let merchants access additional content and actions without cluttering the page.","ref":"OctantisWeb.Components.Polaris.Popover.html#popover/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Popover.popover/1","doc":"```elixir\n  <.popover id=\"someid\">\n    <:activator content=\"More Actions\"/>\n    <:action content=\"Import\"/>\n    <:action content=\"Export\"/>\n  </.popover>\n  ```\n\nSee\n - https://polaris.shopify.com/components/overlays/popover\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Popover/Popover.tsx","ref":"OctantisWeb.Components.Polaris.Popover.html#popover/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Popover.popover/1","doc":"* `id` (`:string`) (required) - DOM id of the popover's parent.\n* `popover_id` (`:string`) - DOM id of the popover.\n* `preferred_position` (`:string`) - The preferred direction to open the popover.Must be one of `\"above\"`, `\"below\"`, `\"mostSpace\"`, or `\"cover\"`.\n* `preferred_alignment` (`:string`) - The preferred alignment of the popover relative to its activator.Must be one of `\"left\"`, `\"center\"`, or `\"right\"`.\n* `active` (`:boolean`) - Show or hide the Popover. Defaults to `true`.\n* `z_index_override` (`:integer`) - Override on the default z-index of 400. Defaults to `nil`.\n* `full_width` (`:boolean`) - Allow popover to stretch to the full width of its activator.\n* `on_close` (`:any`) - Callback when popover is closed. Defaults to `nil`.\n* `prevent_close_on_child_overlay_click` (`:boolean`) - Prevents closing the popover when other overlays are clicked. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Popover.html#popover/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Popover.popover/1","doc":"* `activator` (required)\n* `action` - Accepts attributes:\n\n  * `content` (`:string`) - Content the action displays.\n  * `disabled` (`:boolean`) - Whether or not the action is disabled.\n  * `variant` (`:string`) - Changes the visual appearance of the Button.Must be one of `\"plain\"`, `\"primary\"`, `\"secondary\"`, `\"tertiary\"`, or `\"monochromePlain\"`.\n  * `tone` (`:string`) - Sets the color treatment of the Button.Must be one of `\"critical\"`, or `\"success\"`.\n  * `full_width` (`:boolean`) - Allows the button to grow to the width of its container.\n  * `size` (`:string`) - Changes the size of the button, giving it more or less padding.Must be one of `\"micro\"`, `\"slim\"`, `\"medium\"`, or `\"large\"`.\n  * `navigate` (`:string`) - Passes through to .link component.\n  * `patch` (`:string`) - Passes through to .link component.\n  * `href` (`:string`) - Passes through to .link component.\n  * `target` (`:string`) - Passes through to .link component.\n  * `icon` (`:any`) - Source of the icon.Examples include `&OctantisWeb.Components.Polaris.Icons.arrow_right/1`.\n  * `phx_click` (`:any`) - Click function passed through to the button.\n* `section`\n* `inner_block`","ref":"OctantisWeb.Components.Polaris.Popover.html#popover/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Popover.popover_id/1","doc":"","ref":"OctantisWeb.Components.Polaris.Popover.html#popover_id/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Popover.show_popover/2","doc":"","ref":"OctantisWeb.Components.Polaris.Popover.html#show_popover/2"},{"type":"module","title":"OctantisWeb.Components.Polaris.RadioButton","doc":"Use radio buttons to present each item in a list of options where merchants must make a single selection.\n\n  Must be inside of a '.form'","ref":"OctantisWeb.Components.Polaris.RadioButton.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.RadioButton","doc":"```elixir\n  <.form>\n  <.radio_button label=\"Accounts are disabled\" name=\"accounts\" help_text=\"Customers will only be able to check out as guests.\"/>\n  <.radio_button label=\"Accounts are optional\" name=\"accounts\" checked help_text=\"Customers will be able to check out with a customer account or as a guest.\"/>\n  </.form>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/radio-button\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/RadioButton/RadioButton.tsx","ref":"OctantisWeb.Components.Polaris.RadioButton.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.RadioButton.input_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.RadioButton.html#input_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.RadioButton.radio_button/1","doc":"Use radio buttons to present each item in a list of options where merchants must make a single selection.\n\n  Must be inside of a '.form'","ref":"OctantisWeb.Components.Polaris.RadioButton.html#radio_button/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.RadioButton.radio_button/1","doc":"```elixir\n  <.form>\n  <.radio_button label=\"Accounts are disabled\" name=\"accounts\" help_text=\"Customers will only be able to check out as guests.\"/>\n  <.radio_button label=\"Accounts are optional\" name=\"accounts\" checked help_text=\"Customers will be able to check out with a customer account or as a guest.\"/>\n  </.form>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/radio-button\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/RadioButton/RadioButton.tsx","ref":"OctantisWeb.Components.Polaris.RadioButton.html#radio_button/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.RadioButton.radio_button/1","doc":"* `aria_described_by` (`:string`) - Indicates the ID of the element that describes the radio button. Defaults to `nil`.\n* `label` (`:string`) - Label for the radio button. Defaults to `nil`.\n* `label_hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `checked` (`:boolean`) - Radio button is selected. Defaults to `false`.\n* `disabled` (`:boolean`) - Disable input. Defaults to `false`.\n* `id` (`:string`) - ID for form input. Defaults to `nil`.\n* `name` (`:string`) - Name for form input. Defaults to `nil`.\n* `value` (`:string`) - Value for form input. Defaults to `nil`.\n* `fill` (`:list`) - Grow to fill the space. Equivalent to width: 100%; height: 100%. Defaults to `nil`.\n* `help_text` (`:string`) - Additional text to aide in use. Defaults to `nil`.\n* `tone` (`:string`) - Indicates the tone of the text field. Defaults to `nil`.\n* `phx_focus` (`:any`) - onFocus: Callback when radio button is focused. Defaults to `nil`.\n* `phx_blur` (`:any`) - onBlur: Callback when focus is removed. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.RadioButton.html#radio_button/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Select","doc":"Select lets merchants choose one option from an options menu. Consider select when you have 4 or more options, to avoid cluttering the interface.","ref":"OctantisWeb.Components.Polaris.Select.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Select","doc":"```elixir\n  <.select label=\"Date range\" value=\"today\">\n    <:option value=\"today\" label=\"Today\"/>\n    <:option value=\"yesterday\" label=\"Yesterday\"/>\n    <:option value=\"lastWeek\" label=\"Last 7 days\" />\n  </.select>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/select\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Select/Select.tsx","ref":"OctantisWeb.Components.Polaris.Select.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Select.build_described_by/2","doc":"","ref":"OctantisWeb.Components.Polaris.Select.html#build_described_by/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Select.select/1","doc":"Select lets merchants choose one option from an options menu. Consider select when you have 4 or more options, to avoid cluttering the interface.","ref":"OctantisWeb.Components.Polaris.Select.html#select/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Select.select/1","doc":"```elixir\n  <.select label=\"Date range\" value=\"today\">\n    <:option value=\"today\" label=\"Today\"/>\n    <:option value=\"yesterday\" label=\"Yesterday\"/>\n    <:option value=\"lastWeek\" label=\"Last 7 days\" />\n  </.select>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/select\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Select/Select.tsx","ref":"OctantisWeb.Components.Polaris.Select.html#select/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Select.select/1","doc":"* `options` (`:list`) - List of options or option groups to choose from. Defaults to `[]`.\n* `field` (`Phoenix.HTML.FormField`) (required) - The Phoenix Form Field.\n* `label` (`:string`) - Label for the select. Defaults to `nil`.\n* `label_action` (`:any`) - Adds an action to the label. Defaults to `nil`.\n* `label_hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `label_inline` (`:boolean`) - Show the label to the left of the value, inside the control. Defaults to `false`.\n* `disabled` (`:boolean`) - Disable input. Defaults to `false`.\n* `help_text` (`:string`) - Additional text to aide in use. Defaults to `nil`.\n* `placeholder` (`:string`) - Example text to display as placeholder. Defaults to `nil`.\n* `id` (`:string`) (required) - ID for form input.\n* `error` (`:string`) - Display an error state. Defaults to `nil`.\n* `phx_change` (`:any`) - onChange: Callback when selection is changed. Defaults to `nil`.\n* `phx_focus` (`:any`) - onFocus: Callback when select is focused. Defaults to `nil`.\n* `phx_blur` (`:any`) - onBlur: Callback when focus is removed. Defaults to `nil`.\n* `required_indicator` (`:boolean`) - Visual required indicator, add an asterisk to label. Defaults to `false`.\n* `tone` (`:string`) - Indicates the tone of the select. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Select.html#select/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.ShadowBevel","doc":"ShadowBevel\nA building block for other components such as Card\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/ShadowBevel/ShadowBevel.tsx","ref":"OctantisWeb.Components.Polaris.ShadowBevel.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.ShadowBevel.shadow_bevel/1","doc":"","ref":"OctantisWeb.Components.Polaris.ShadowBevel.html#shadow_bevel/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.ShadowBevel.shadow_bevel/1","doc":"* `box_shadow` (`:list`) - The box-shadow applied to the root element.\n* `border_radius` (`:list`) - The border-radius applied to both the root and pseudo elements.\n* `z_index` (`:string`) - The z-index applied to the pseudo element. Defaults to `\"0\"`.\n* `bevel` (`:boolean`) - Enable/disable the bevel effect. Note: This also disables the border-radius and box-shadow. Defaults to `true`.\n* `class` (`:any`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.","ref":"OctantisWeb.Components.Polaris.ShadowBevel.html#shadow_bevel/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.ShadowBevel.shadow_bevel/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.ShadowBevel.html#shadow_bevel/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.ShadowBevel.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.ShadowBevel.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.SkeletonBodyText","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonBodyText.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.SkeletonBodyText","doc":"```elixir\n    </.skeleton_body_text>\n    ```\n\n  See\n   - https://polaris.shopify.com/components/feedback-indicators/skeleton-body-text\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonBodyText/SkeletonBodyText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonBodyText.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonBodyText.skeleton_body_text/1","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonBodyText.html#skeleton_body_text/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.SkeletonBodyText.skeleton_body_text/1","doc":"```elixir\n    </.skeleton_body_text>\n    ```\n\n  See\n   - https://polaris.shopify.com/components/feedback-indicators/skeleton-body-text\n   - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonBodyText/SkeletonBodyText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonBodyText.html#skeleton_body_text/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.SkeletonBodyText.skeleton_body_text/1","doc":"* `lines` (`:integer`) - Defaults to `3`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.SkeletonBodyText.html#skeleton_body_text/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.SkeletonDisplayText","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.SkeletonDisplayText","doc":"```elixir\n  </.skeleton_display_text>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/skeleton-display-text\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonDisplayText/SkeletonDisplayText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonDisplayText.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonDisplayText.skeleton_display_text/1","doc":"Skeleton display text is used to provide a low fidelity representation of content before it appears on the page, and improves load times perceived by merchants. Can be used for content in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#skeleton_display_text/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.SkeletonDisplayText.skeleton_display_text/1","doc":"```elixir\n  </.skeleton_display_text>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/skeleton-display-text\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonDisplayText/SkeletonDisplayText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#skeleton_display_text/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.SkeletonDisplayText.skeleton_display_text/1","doc":"* `size` (`:string`) - Defaults to `\"medium\"`.\n* `max_width` (`:string`) - Examples include `\"{number}ch\"`, and `\"{number}%\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#skeleton_display_text/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonDisplayText.style/1","doc":"Build Style elements","ref":"OctantisWeb.Components.Polaris.SkeletonDisplayText.html#style/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.SkeletonThumbnail","doc":"Skeleton thumbnail is used to provide a low fidelity representation of an image before it appears on the page, and improves load times perceived by merchants. Use for thumbnails in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.SkeletonThumbnail","doc":"```elixir\n  </.skeleton_thumbnail>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/skeleton-thumbnail\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonDisplayText/SkeletonDisplayText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonThumbnail.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.SkeletonThumbnail.skeleton_thumbnail/1","doc":"Skeleton thumbnail is used to provide a low fidelity representation of an image before it appears on the page, and improves load times perceived by merchants. Use for thumbnails in or outside of a card.","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html#skeleton_thumbnail/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.SkeletonThumbnail.skeleton_thumbnail/1","doc":"```elixir\n  </.skeleton_thumbnail>\n  ```\n\nSee\n - https://polaris.shopify.com/components/feedback-indicators/skeleton-thumbnail\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/SkeletonDisplayText/SkeletonDisplayText.tsx","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html#skeleton_thumbnail/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.SkeletonThumbnail.skeleton_thumbnail/1","doc":"* `size` (`:string`) - Defaults to `\"medium\"`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.SkeletonThumbnail.html#skeleton_thumbnail/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Spinner","doc":"Spinners are used to notify merchants that their action is being processed. For loading states, spinners should only be used for content that can’t be represented with skeleton loading components, like for data charts.","ref":"OctantisWeb.Components.Polaris.Spinner.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Spinner","doc":"<.spinner size=\"small\" accessibility_label=\"loading\" />\n    <.spinner size=\"large\" accessibility_label=\"loading\" />\nSee\n  - https://polaris.shopify.com/components/feedback-indicators/spinner\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Spinner/Spinner.tsx","ref":"OctantisWeb.Components.Polaris.Spinner.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Spinner.spinner/1","doc":"Spinners are used to notify merchants that their action is being processed. For loading states, spinners should only be used for content that can’t be represented with skeleton loading components, like for data charts.","ref":"OctantisWeb.Components.Polaris.Spinner.html#spinner/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Spinner.spinner/1","doc":"<.spinner size=\"small\" accessibility_label=\"loading\" />\n    <.spinner size=\"large\" accessibility_label=\"loading\" />\nSee\n  - https://polaris.shopify.com/components/feedback-indicators/spinner\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Spinner/Spinner.tsx","ref":"OctantisWeb.Components.Polaris.Spinner.html#spinner/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Spinner.spinner/1","doc":"* `accessibility_label` (`:string`) (required)\n* `size` (`:string`) - Defaults to `\"small\"`.\n* `has_focusable_parent` (`:boolean`) - Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Spinner.html#spinner/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Spinner.variants/1","doc":"Variants\nA helper for setting a variant inside of a Polaris component.","ref":"OctantisWeb.Components.Polaris.Spinner.html#variants/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Spinner.variants/1","doc":"* `value` (`:string`) (required) - Value of the variant, such as {size}.","ref":"OctantisWeb.Components.Polaris.Spinner.html#variants/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Spinner.variants/1","doc":"* `variant` - Accepts attributes:\n\n  * `name` (`:string`) (required) - Name of the variant, such as \"small\".","ref":"OctantisWeb.Components.Polaris.Spinner.html#variants/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tabs","doc":"Use to alternate among related views within the same context.","ref":"OctantisWeb.Components.Polaris.Tabs.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Tabs","doc":"```elixir\n  <.card padding={[xs: \"0\"]}>\n    <.tabs>\n      <:tab\n        content=\"All\"\n        accessibility_label=\"All customers\"\n      >\n        <.box padding={[md: \"200\"]}>All Customers</.box>\n      </:tab>\n      <:tab\n        content=\"Accepts marketing\"\n      >\n        <.box padding={[md: \"200\"]}>Accepts marketing</.box>\n      </:tab>\n      <:tab\n        content=\"Repeat customers\"\n        accessibility_label=\"Repeat customers\"\n      >\n        <.box padding={[md: \"200\"]}>Repeat customers</.box>\n      </:tab>\n      <:tab\n        content=\"Prospects\"\n      >\n        <.box padding={[md: \"200\"]}>Prospects</.box>\n      </:tab>\n    </.tabs>\n  </.card>\n  ```\nSee\n - https://polaris.shopify.com/components/navigation/tabs\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Tabs/Tabs.tsx","ref":"OctantisWeb.Components.Polaris.Tabs.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.build_tab_button_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#build_tab_button_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.build_tab_button_style/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#build_tab_button_style/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.panel_id/2","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#panel_id/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.select_tab/3","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#select_tab/3"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.tab/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#tab/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Tabs.tab/1","doc":"* `accessibility_label` (`:string`) - Defaults to `nil`.\n* `badge` (`:any`) - Defaults to `nil`.\n* `id` (`:any`) - Defaults to `nil`.\n* `panel_id` (`:any`) - Defaults to `nil`.\n* `content` (`:string`) - Defaults to `nil`.\n* `image_source` (`:string`) - Defaults to `nil`.\n* `disabled` (`:any`) - Defaults to `false`.\n* `sibling_tab_has_focus` (`:boolean`) - Defaults to `false`.\n* `focused` (`:any`) - Defaults to `nil`.\n* `selected` (`:boolean`) - Defaults to `false`.\n* `phx_focus` (`:any`) - onFocus. Defaults to `nil`.\n* `phx_keydown` (`:any`) - onKeyDown. Defaults to `nil`.\n* `phx_click` (`:any`) - onClick. Defaults to `nil`.\n* `phx_target` (`:any`) - Allows setting the target for the button. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Tabs.html#tab/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.tab_id/2","doc":"","ref":"OctantisWeb.Components.Polaris.Tabs.html#tab_id/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tabs.tabs/1","doc":"Use to alternate among related views within the same context.","ref":"OctantisWeb.Components.Polaris.Tabs.html#tabs/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Tabs.tabs/1","doc":"```elixir\n  <.card padding={[xs: \"0\"]}>\n    <.tabs>\n      <:tab\n        content=\"All\"\n        accessibility_label=\"All customers\"\n      >\n        <.box padding={[md: \"200\"]}>All Customers</.box>\n      </:tab>\n      <:tab\n        content=\"Accepts marketing\"\n      >\n        <.box padding={[md: \"200\"]}>Accepts marketing</.box>\n      </:tab>\n      <:tab\n        content=\"Repeat customers\"\n        accessibility_label=\"Repeat customers\"\n      >\n        <.box padding={[md: \"200\"]}>Repeat customers</.box>\n      </:tab>\n      <:tab\n        content=\"Prospects\"\n      >\n        <.box padding={[md: \"200\"]}>Prospects</.box>\n      </:tab>\n    </.tabs>\n  </.card>\n  ```\nSee\n - https://polaris.shopify.com/components/navigation/tabs\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Tabs/Tabs.tsx","ref":"OctantisWeb.Components.Polaris.Tabs.html#tabs/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Tabs.tabs/1","doc":"* `id` (`:string`) (required)\n* `selected` (`:integer`) - The index of the currently selected Tab. Defaults to `0`.\n* `disabled` (`:boolean`) - Whether the Tabs are disabled or not. Defaults to `false`.\n* `bottom_tabs` (`:boolean`) - Should the tabs be below the content?. Defaults to `false`.\n* `inline_align` (`:string`) - Horizontal alignment of children. Defaults to `nil`.\n* `phx_focus` (`:any`) - onFocus. Defaults to `nil`.\n* `phx_blur` (`:any`) - onBlur. Defaults to `nil`.\n* `phx_keydown` (`:any`) - onKeyDown. Defaults to `nil`.\n* `phx_keyup` (`:any`) - onKeyUp. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Tabs.html#tabs/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Tabs.tabs/1","doc":"* `tab` - Accepts attributes:\n\n  * `accessibility_label` (`:any`)\n  * `id` (`:any`)\n  * `panel_id` (`:any`)\n  * `content` (`:string`)\n  * `disabled` (`:any`)\n  * `selected` (`:integer`)\n  * `phx_focus` (`:any`)\n  * `phx_keydown` (`:any`)\n  * `phx_click` (`:any`)\n  * `phx_target` (`:any`)\n* `block_stack`","ref":"OctantisWeb.Components.Polaris.Tabs.html#tabs/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tag","doc":"Tags represent a set of interactive, merchant-supplied keywords that help label, organize, and categorize objects. Tags can be added or removed from an object by merchants.","ref":"OctantisWeb.Components.Polaris.Tag.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Tag","doc":"```elixir\n  <.tag>Wholesale</.tag>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/tag\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Tag/Tag.tsx","ref":"OctantisWeb.Components.Polaris.Tag.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tag.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tag.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tag.tag/1","doc":"Tags represent a set of interactive, merchant-supplied keywords that help label, organize, and categorize objects. Tags can be added or removed from an object by merchants.","ref":"OctantisWeb.Components.Polaris.Tag.html#tag/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Tag.tag/1","doc":"```elixir\n  <.tag>Wholesale</.tag>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/tag\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Tag/Tag.tsx","ref":"OctantisWeb.Components.Polaris.Tag.html#tag/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Tag.tag/1","doc":"* `on_remove` (`:any`) - Callback when remove button is clicked or keypressed. Defaults to `nil`.\n* `phx_values` (`:list`) - A list of key value pairs to be passed as a value for actions. See assign_phx_bindings/2. Defaults to `[]`.\n* `disabled` (`:boolean`) - Disables the tag. Defaults to `false`.\n* `accessibility_label` (`:string`) - A string to use when tag has more than textual content. Defaults to `nil`.\n* `class` (`:string`) - A class name to be added to the component class name. Defaults to `\"\"`.\n* `size` (`:string`) - The size of the tag. Defaults to `nil`.\n* `name` (`:string`) - Name to be passed down to the remove button. Defaults to `nil`.\n* `value` (`:string`) - Name to be passed down to the remove button. Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.Tag.html#tag/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Tag.tag/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Tag.html#tag/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Text","doc":"Text\nTypography helps establish hierarchy and communicate important content by creating clear visual patterns.","ref":"OctantisWeb.Components.Polaris.Text.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Text","doc":"<.text variant=\"bodyLg\" as=\"p\" alignment=\"center\">center alignment</.text>\n  <.text as=\"p\" tone=\"caution\">cautious text</.text>\nSee\n  - https://polaris.shopify.com/components/typography/text\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Text/Text.tsx","ref":"OctantisWeb.Components.Polaris.Text.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Text.as/1","doc":"As\nA helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.Text.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Text.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"dt\"`, `\"dd\"`, `\"h1\"`, `\"h2\"`, `\"h3\"`, `\"h4\"`, `\"h5\"`, `\"h6\"`, `\"p\"`, `\"span\"`, `\"strong\"`, or `\"legend\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Text.html#as/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Text.as/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Text.html#as/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.Text.build_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Text.html#build_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Text.text/1","doc":"Text\nTypography helps establish hierarchy and communicate important content by creating clear visual patterns.","ref":"OctantisWeb.Components.Polaris.Text.html#text/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Text.text/1","doc":"<.text variant=\"bodyLg\" as=\"p\" alignment=\"center\">center alignment</.text>\n  <.text as=\"p\" tone=\"caution\">cautious text</.text>\nSee\n  - https://polaris.shopify.com/components/typography/text\n  - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Text/Text.tsx","ref":"OctantisWeb.Components.Polaris.Text.html#text/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Text.text/1","doc":"* `alignment` (`:string`) - Adjust horizontal alignment of text.Must be one of `\"start\"`, `\"center\"`, `\"end\"`, or `\"justify\"`.\n* `as` (`:string`) - The element type. Defaults to `\"span\"`.\n* `break_word` (`:boolean`) - Prevent text from overflowing.\n* `tone` (`:string`) - Adjust tone of text.Must be one of `\"success\"`, `\"critical\"`, `\"caution\"`, `\"subdued\"`, or `\"text-inverse\"`.\n* `font_weight` (`:string`) - Adjust weight of text.Must be one of `\"regular\"`, `\"medium\"`, `\"semibold\"`, or `\"bold\"`.\n* `numeric` (`:boolean`) - Use a numeric font variant with monospace appearance.\n* `truncate` (`:boolean`) - Truncate text overflow with ellipsis.\n* `variant` (`:string`) - Typographic style of text.Must be one of `\"headingSm\"`, `\"headingMd\"`, `\"headingLg\"`, `\"headingXl\"`, `\"heading2xl\"`, `\"heading3xl\"`, `\"bodySm\"`, `\"bodyMd\"`, or `\"bodyLg\"`.\n* `visually_hidden` (`:boolean`) - Visually hide the text.\n* `text_decoration_line` (`:string`) - Add a line-through to the text.Must be one of `\"line-through\"`.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.Text.html#text/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.Text.text/1","doc":"* `inner_block` (required)","ref":"OctantisWeb.Components.Polaris.Text.html#text/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.TextField","doc":"A text field is an input field that merchants can type into. It has a range of options and supports several text formats including numbers.\n\nMust be wrapped in a form component.","ref":"OctantisWeb.Components.Polaris.TextField.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.TextField","doc":"```elixir\n  <.form ... >\n    <.text_field label=\"Search\"/>\n  </.form>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/text-field\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/TextField/TextField.tsx","ref":"OctantisWeb.Components.Polaris.TextField.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.as/1","doc":"As\nA helper for setting the underlaying element of a component","ref":"OctantisWeb.Components.Polaris.TextField.html#as/1"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.TextField.as/1","doc":"* `element` (`:string`) (required) - Must be one of `\"input\"`, or `\"textarea\"`.\n* `value` (`:string`)\n* Global attributes are accepted. Supports all globals plus: `[\"pattern\", \"spell_check\", \"name\", \"max\", \"disabled\", \"min\", \"step\", \"max_length\", \"read_only\", \"size\", \"auto_focus\", \"rows\", \"min_length\", \"auto_complete\", \"input_mode\"]`.","ref":"OctantisWeb.Components.Polaris.TextField.html#as/1-attributes"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.build_described_by/2","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#build_described_by/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.build_labelled_by/2","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#build_labelled_by/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.connected/1","doc":"Join items, specificaly text fields.","ref":"OctantisWeb.Components.Polaris.TextField.html#connected/1"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.TextField.connected/1","doc":"* `left`\n* `inner_block` (required)\n* `right`","ref":"OctantisWeb.Components.Polaris.TextField.html#connected/1-slots"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.connected_item_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#connected_item_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.handle_textfield_click/2","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#handle_textfield_click/2"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.input_class/1","doc":"","ref":"OctantisWeb.Components.Polaris.TextField.html#input_class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.TextField.text_field/1","doc":"A text field is an input field that merchants can type into. It has a range of options and supports several text formats including numbers.\n\nMust be wrapped in a form component.","ref":"OctantisWeb.Components.Polaris.TextField.html#text_field/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.TextField.text_field/1","doc":"```elixir\n  <.form ... >\n    <.text_field label=\"Search\"/>\n  </.form>\n  ```\n\nSee\n - https://polaris.shopify.com/components/selection-and-input/text-field\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/TextField/TextField.tsx","ref":"OctantisWeb.Components.Polaris.TextField.html#text_field/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.TextField.text_field/1","doc":"* `prefix` (`:string`) - Text to display before value. Defaults to `nil`.\n* `suffix` (`:string`) - Text to display after value. Defaults to `nil`.\n* `placeholder` (`:string`) - Hint text to display. Defaults to `nil`.\n* `field` (`Phoenix.HTML.FormField`) (required) - The Phoenix Form Field.\n* `help_text` (`:string`) - Additional hint text to display. Defaults to `nil`.\n* `label` (`:string`) - Label for the input.\n* `label_action` (`:any`) - Adds an action to the label. Defaults to `nil`.\n* `label_hidden` (`:boolean`) - Visually hide the label. Defaults to `false`.\n* `disabled` (`:boolean`) - Disable the input. Defaults to `false`.\n* `clear_button` (`:boolean`) - Show a clear text button in the input. Defaults to `false`.\n* `suggestion` (`:string`) - An inline autocomplete suggestion containing the input value. The characters that complete the input value are selected for ease of deletion on input change or keypress of Backspace/Delete. The selected substring is visually highlighted with subdued styling. Defaults to `nil`.\n* `read_only` (`:boolean`) - Disable editing of the input. Defaults to `false`.\n* `auto_focus` (`:boolean`) - Automatically focus the input. Defaults to `false`.\n* `focused` (`:boolean`) - Force the focus state on the input. Defaults to `false`.\n* `multiline` (`:integer`) - Allow for multiple lines of input. Defaults to `nil`.\n* `error` (`:string`) - Error to display beneath the label.\n* `type` (`:string`) - Determine type of input. Defaults to `\"text\"`.\n* `name` (`:string`) - Name of the input. Defaults to `nil`.\n* `id` (`:string`) - ID for the input.\n* `role` (`:string`) - Defines a specific role attribute for the input. Defaults to `nil`.\n* `step` (`:integer`) - Limit increment value for numeric and date-time inputs. Defaults to `nil`.\n* `auto_complete` (`:string`) - Enable automatic completion by the browser. Set to off when you do not want the browser to fill in info. Defaults to `nil`.\n* `max` (`:string`) - Mimics the behavior of the native HTML attribute, limiting the maximum value. Defaults to `nil`.\n* `max_length` (`:integer`) - Maximum character length for an input. Defaults to `nil`.\n* `max_height` (`:integer`) - Maximum height of the input element. Only applies when multiline is true. Defaults to `nil`.\n* `min` (`:string`) - Mimics the behavior of the native HTML attribute, limiting the minimum value. Defaults to `nil`.\n* `min_length` (`:integer`) - Minimum character length for an input. Defaults to `nil`.\n* `pattern` (`:string`) - A regular expression to check the value against. Defaults to `nil`.\n* `input_mode` (`:string`) - Choose the keyboard that should be used on mobile devices. Defaults to `nil`.\n* `spell_check` (`:boolean`) - Indicate whether value should have spelling checked. Defaults to `nil`.\n* `aria_owns` (`:string`) - Indicates the id of a component owned by the input. Defaults to `nil`.\n* `aria_expanded` (`:boolean`) - Indicates whether or not a Popover is displayed. Defaults to `nil`.\n* `aria_controls` (`:string`) - Indicates the id of a component controlled by the input. Defaults to `nil`.\n* `aria_active_descendant` (`:string`) - Indicates the id of a related components visually focused element to the input. Defaults to `nil`.\n* `aria_autocomplete` (`:string`) - Indicates what kind of user input completion suggestions are provided. Defaults to `\"off\"`.\n* `align` (`:string`) - Determines the alignment of the text in the input. Defaults to `nil`.\n* `required_indicator` (`:boolean`) - Visual required indicator, adds an asterisk to label. Defaults to `false`.\n* `variant` (`:string`) - Visual styling options for the TextField. Defaults to `\"inherit\"`.\n* `size` (`:string`) - Changes the size of the input, giving it more or less padding. Defaults to `\"medium\"`.\n* `on_clear_button_click` (`:any`) - Callback fired when clear button is clicked. Defaults to `nil`.\n* `auto_size` (`:boolean`) - Whether the TextField will grow as the text within the input changes. Defaults to `false`.\n* `loading` (`:boolean`) - Indicates the loading state. Defaults to `false`.\n* `phx_focus` (`:any`) - onFocus: Callback fired when input is focused. Defaults to `nil`.\n* `phx_blur` (`:any`) - onBlur: Callback fired when input is blurred. Defaults to `nil`.\n* `phx_click` (`:any`) - onClick. Defaults to `nil`.\n* `phx_key` (`:any`) - onKeyPress. Defaults to `nil`.\n* `phx_keydown` (`:any`) - onKeyDown. Defaults to `nil`.\n* `phx_debounce` (`:any`) - Defaults to `nil`.\n* `phx_throttle` (`:any`) - Defaults to `nil`.","ref":"OctantisWeb.Components.Polaris.TextField.html#text_field/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.TextField.text_field/1","doc":"* `connected_left` - An element connected to the right of the input.\n* `connected_right` - An element connected to the right of the input.","ref":"OctantisWeb.Components.Polaris.TextField.html#text_field/1-slots"},{"type":"module","title":"OctantisWeb.Components.Polaris.Thumbnail","doc":"Use thumbnails as a visual anchor and identifier for an object. They should be used along with text to provide context.","ref":"OctantisWeb.Components.Polaris.Thumbnail.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.Thumbnail","doc":"```elixir\n  <.thumbnail source=\"https://picsum.photos/250\" alt=\"Promotional image\"/>\n  ```\n\nSee\n - https://polaris.shopify.com/components/images-and-icons/thumbnail?example=thumbnail-default\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Thumbnail/Thumbnail.tsx","ref":"OctantisWeb.Components.Polaris.Thumbnail.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.Thumbnail.class/1","doc":"","ref":"OctantisWeb.Components.Polaris.Thumbnail.html#class/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Thumbnail.thumbnail/1","doc":"Use thumbnails as a visual anchor and identifier for an object. They should be used along with text to provide context.","ref":"OctantisWeb.Components.Polaris.Thumbnail.html#thumbnail/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.Thumbnail.thumbnail/1","doc":"```elixir\n  <.thumbnail source=\"https://picsum.photos/250\" alt=\"Promotional image\"/>\n  ```\n\nSee\n - https://polaris.shopify.com/components/images-and-icons/thumbnail?example=thumbnail-default\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/Thumbnail/Thumbnail.tsx","ref":"OctantisWeb.Components.Polaris.Thumbnail.html#thumbnail/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.Thumbnail.thumbnail/1","doc":"* `size` (`:string`) - Size of thumbnail. Defaults to `\"medium\"`.\n* `source` (`:string`) (required) - URL for the image.\n* `alt` (`:string`) - Alt text for the thumbnail image. Defaults to `nil`.\n* `transparent` (`:boolean`) - Transparent background. Defaults to `false`.","ref":"OctantisWeb.Components.Polaris.Thumbnail.html#thumbnail/1-attributes"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tokens.Border","doc":"Captures the Polaris Border Tokens. Allows enforcing of component attributes\nSee https://polaris.shopify.com/tokens/border","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.radious_tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#radious_tokens/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.radius/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#radius/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#tokens/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.var/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#var/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.width/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#width/1"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Border.width_tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Border.html#width_tokens/0"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tokens.Colour","doc":"Captures the Polaris Color Tokens. Allows enforcing of component attributes\nSee https://polaris.shopify.com/tokens/color","ref":"OctantisWeb.Components.Polaris.Tokens.Colour.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Colour.tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Colour.html#tokens/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Colour.var/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Colour.html#var/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tokens.Shaddow","doc":"Captures the Polaris Shaddow Tokens. Allows enforcing of component attributes\nSee https://polaris.shopify.com/tokens/shaddow","ref":"OctantisWeb.Components.Polaris.Tokens.Shaddow.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Shaddow.tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Shaddow.html#tokens/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Shaddow.var/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Shaddow.html#var/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.Tokens.Space","doc":"Captures the Polaris Space Tokens. Allows enforcing of component attributes\nSee https://polaris.shopify.com/tokens/space","ref":"OctantisWeb.Components.Polaris.Tokens.Space.html"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Space.tokens/0","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Space.html#tokens/0"},{"type":"function","title":"OctantisWeb.Components.Polaris.Tokens.Space.var/1","doc":"","ref":"OctantisWeb.Components.Polaris.Tokens.Space.html#var/1"},{"type":"module","title":"OctantisWeb.Components.Polaris.UnstyledButton","doc":"Underlying button. Button is implemented with this and\n  sometimes Polaris uses this directly instead of button","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html"},{"type":"module","title":"Examples - OctantisWeb.Components.Polaris.UnstyledButton","doc":"```elixir\n  <.unstyled_button>Button</.unstyled_button>\n  ```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/UnstyledButton/UnstyledButton.tsx","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html#module-examples"},{"type":"function","title":"OctantisWeb.Components.Polaris.UnstyledButton.unstyled_button/1","doc":"Underlying button. Button is implemented with this and\n  sometimes Polaris uses this directly instead of button","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html#unstyled_button/1"},{"type":"function","title":"Examples - OctantisWeb.Components.Polaris.UnstyledButton.unstyled_button/1","doc":"```elixir\n  <.unstyled_button>Button</.unstyled_button>\n  ```\n\nSee\n - https://github.com/Shopify/polaris/blob/main/polaris-react/src/components/UnstyledButton/UnstyledButton.tsx","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html#unstyled_button/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Components.Polaris.UnstyledButton.unstyled_button/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `class` (`:any`) - Defaults to `nil`.\n* `submit` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `loading` (`:boolean`) - Defaults to `false`.\n* `aria_controls` (`:string`) - Indicates the ID of the element that is controlled by the button. Defaults to `nil`.\n* `aria_described_by` (`:string`) - Indicates the ID of the element that describes the button. Defaults to `nil`.\n* `aria_expanded` (`:string`) - Defaults to `nil`.\n* `aria_checked` (`:string`) - Defaults to `nil`.\n* `aria_pressed` (`:string`) - Defaults to `nil`.\n* `aria_label` (`:string`) - Defaults to `nil`.\n* `role` (`:string`) - Defaults to `nil`.\n* `url` (`:string`) - Defaults to `nil`.\n* `phx_click` (`:any`) - onClick. Defaults to `nil`.\n* `phx_focus` (`:any`) - onFocus. Defaults to `nil`.\n* `phx_blur` (`:any`) - onBlur. Defaults to `nil`.\n* `phx_key` (`:any`) - onKeyPress. Defaults to `nil`.\n* `phx_keyup` (`:any`) - onKeyUp. Defaults to `nil`.\n* `phx_keydown` (`:any`) - onKeyDown. Defaults to `nil`.\n* `phx_target` (`:any`) - Allows setting the target for the button. Defaults to `nil`.\n* `name` (`:string`) - Name to be passed down to the button. Defaults to `nil`.\n* `value` (`:string`) - Name to be passed down to the button. Defaults to `nil`.\n* `phx_values` (`:list`) - A list of key value pairs to be passed as a value for actions. See assign_phx_bindings/2. Defaults to `[]`.\n* `style` (`:string`) - Style attribute.\n* `align_items` (`:string`) - Style attribute.\n* `align_self` (`:string`) - Style attribute.\n* `display` (`:string`) - Style attribute.\n* `flex_grow` (`:string`) - Style attribute.\n* `grid_auto_rows` (`:string`) - Style attribute.\n* `grid_template_columns` (`:string`) - Style attribute.\n* `grid_template_rows` (`:string`) - Style attribute.\n* `justify_content` (`:string`) - Style attribute.\n* `margin` (`:string`) - Style attribute.\n* `max_height` (`:string`) - Style attribute.\n* `min_height` (`:string`) - Style attribute.\n* `object_fit` (`:string`) - Style attribute.\n* `opacity` (`:string`) - Style attribute.\n* Global attributes are accepted.","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html#unstyled_button/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Components.Polaris.UnstyledButton.unstyled_button/1","doc":"* `inner_block`","ref":"OctantisWeb.Components.Polaris.UnstyledButton.html#unstyled_button/1-slots"},{"type":"module","title":"OctantisWeb.Core","doc":"Core Functionality for Polaris Components.","ref":"OctantisWeb.Core.html"},{"type":"function","title":"OctantisWeb.Core.assign_default_nil/2","doc":"","ref":"OctantisWeb.Core.html#assign_default_nil/2"},{"type":"function","title":"OctantisWeb.Core.assign_extra_styles/1","doc":"","ref":"OctantisWeb.Core.html#assign_extra_styles/1"},{"type":"function","title":"OctantisWeb.Core.assign_phx_bindings/2","doc":"Transform `phx_` prefixed assigns to both `data-phx-` and `phx-` assigns.\n\nThis allows us use `bindingPrefix: \"data-phx-\"` in production as required by Shopify's AppBridge (See AppBridge section of the README)\n  but also use the default `bindingPrefix: \"phx-\"` for tests and Storybook.\n\n`phx_values` is a special case that is expanded to `phx-value-key` and `data-phx-value-key`\n\nThis should only be used html tags, and not on heex components.","ref":"OctantisWeb.Core.html#assign_phx_bindings/2"},{"type":"function","title":"See - OctantisWeb.Core.assign_phx_bindings/2","doc":"https://hexdocs.pm/phoenix_live_view/bindings.html","ref":"OctantisWeb.Core.html#assign_phx_bindings/2-see"},{"type":"function","title":"Examples - OctantisWeb.Core.assign_phx_bindings/2","doc":"iex> assigns |> assign_phx_bindings(%{phx_click={&click}, phx_values={[key: \"value\"]}})\n  %{\n    phx-click={&click}\n    data-phx-click={&click}\n    phx-value-key=\"value\"\n    data-phx-value-key=\"value\"\n  }\n\n  heex>","ref":"OctantisWeb.Core.html#assign_phx_bindings/2-examples"},{"type":"macro","title":"OctantisWeb.Core.assign_style/1","doc":"","ref":"OctantisWeb.Core.html#assign_style/1"},{"type":"macro","title":"OctantisWeb.Core.attr_extra_styles/1","doc":"","ref":"OctantisWeb.Core.html#attr_extra_styles/1"},{"type":"function","title":"OctantisWeb.Core.class_for_attribute/3","doc":"Build the class in the magic way that matches polaris classes","ref":"OctantisWeb.Core.html#class_for_attribute/3"},{"type":"function","title":"Examples - OctantisWeb.Core.class_for_attribute/3","doc":"iex> class_for_attribute(\"Polaris-Badge\", :tone, \"success\")\n  \"Polaris-Badge--toneSuccess\"\n\n  iex> class_for_attribute(\"Polaris-Badge\", :tone, \"success--strong\")\n  \"Polaris-Badge__toneSuccess--strong\"","ref":"OctantisWeb.Core.html#class_for_attribute/3-examples"},{"type":"function","title":"OctantisWeb.Core.div_wrapper/1","doc":"Optionally wrap the inner_block in a div.\n\nThis is primarily to address the react pattern:\n\n```react\nreturn descriptionMarkup ? (\n     \n      {labelMarkup}\n      {descriptionMarkup}\n     \n  ) : (\n    {labelMarkup}\n  );\n```\n\nwhich can now be rendered with\n\n```heex\n<.div_wrapper wrap={@description}>\n  {@label}\n  {@description}\n</.div_wrapper>\n```","ref":"OctantisWeb.Core.html#div_wrapper/1"},{"type":"function","title":"Attributes - OctantisWeb.Core.div_wrapper/1","doc":"* `wrap` (`:boolean`) - Render the div, or just have the inner block. Defaults to `true`.\n* Global attributes are accepted.","ref":"OctantisWeb.Core.html#div_wrapper/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Core.div_wrapper/1","doc":"* `inner_block`","ref":"OctantisWeb.Core.html#div_wrapper/1-slots"},{"type":"function","title":"OctantisWeb.Core.extra_styles/2","doc":"Assign common styles based on attributes. Use with the attr_extra_styles macro.","ref":"OctantisWeb.Core.html#extra_styles/2"},{"type":"function","title":"Examples - OctantisWeb.Core.extra_styles/2","doc":"heex> <.block_stack flex_grow=\"1\"/>","ref":"OctantisWeb.Core.html#extra_styles/2-examples"},{"type":"macro","title":"OctantisWeb.Core.import_polaris_components/1","doc":"","ref":"OctantisWeb.Core.html#import_polaris_components/1"},{"type":"macro","title":"OctantisWeb.Core.is_slot/1","doc":"","ref":"OctantisWeb.Core.html#is_slot/1"},{"type":"function","title":"OctantisWeb.Core.phx_bindings/2","doc":"","ref":"OctantisWeb.Core.html#phx_bindings/2"},{"type":"function","title":"OctantisWeb.Core.slot_attributes/1","doc":"Convenient syntax for sending slot attributes to a slot","ref":"OctantisWeb.Core.html#slot_attributes/1"},{"type":"function","title":"Examples - OctantisWeb.Core.slot_attributes/1","doc":"heex> <.block_stack {slot_attributes(@myslot)} />","ref":"OctantisWeb.Core.html#slot_attributes/1-examples"},{"type":"function","title":"OctantisWeb.Core.slot_wrapper/1","doc":"Renders `slot` with render_slot if it is a slot.\nOtherwise it renders the inner_block.\nAllows for React like child or attribute pattern found repeatedly in Polaris.","ref":"OctantisWeb.Core.html#slot_wrapper/1"},{"type":"function","title":"Examples - OctantisWeb.Core.slot_wrapper/1","doc":"heex>\n    <.slot_wrapper slot={@title}>\n      <.text variant=\"headingSm\" as=\"h2\">\n        <%= @title %>\n      </.text>\n    </.slot_wrapper>","ref":"OctantisWeb.Core.html#slot_wrapper/1-examples"},{"type":"function","title":"Attributes - OctantisWeb.Core.slot_wrapper/1","doc":"* Global attributes are accepted. Supports all globals plus: `[\"slot\"]`.","ref":"OctantisWeb.Core.html#slot_wrapper/1-attributes"},{"type":"function","title":"Slots - OctantisWeb.Core.slot_wrapper/1","doc":"* `slot`\n* `inner_block` - The block to render if `slot` is not not a slot.","ref":"OctantisWeb.Core.html#slot_wrapper/1-slots"},{"type":"function","title":"OctantisWeb.Core.translate_error/1","doc":"","ref":"OctantisWeb.Core.html#translate_error/1"},{"type":"function","title":"OctantisWeb.Core.translate_errors/1","doc":"","ref":"OctantisWeb.Core.html#translate_errors/1"},{"type":"module","title":"OctantisWeb.Endpoint","doc":"","ref":"OctantisWeb.Endpoint.html"},{"type":"function","title":"OctantisWeb.Endpoint.broadcast/3","doc":"","ref":"OctantisWeb.Endpoint.html#broadcast/3"},{"type":"function","title":"OctantisWeb.Endpoint.broadcast!/3","doc":"","ref":"OctantisWeb.Endpoint.html#broadcast!/3"},{"type":"function","title":"OctantisWeb.Endpoint.broadcast_from/4","doc":"","ref":"OctantisWeb.Endpoint.html#broadcast_from/4"},{"type":"function","title":"OctantisWeb.Endpoint.broadcast_from!/4","doc":"","ref":"OctantisWeb.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"OctantisWeb.Endpoint.call/2","doc":"","ref":"OctantisWeb.Endpoint.html#call/2"},{"type":"function","title":"OctantisWeb.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"OctantisWeb.Endpoint.html#child_spec/1"},{"type":"function","title":"OctantisWeb.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"OctantisWeb.Endpoint.html#config/2"},{"type":"function","title":"OctantisWeb.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"OctantisWeb.Endpoint.html#config_change/2"},{"type":"function","title":"OctantisWeb.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"OctantisWeb.Endpoint.html#host/0"},{"type":"function","title":"OctantisWeb.Endpoint.init/1","doc":"","ref":"OctantisWeb.Endpoint.html#init/1"},{"type":"function","title":"OctantisWeb.Endpoint.local_broadcast/3","doc":"","ref":"OctantisWeb.Endpoint.html#local_broadcast/3"},{"type":"function","title":"OctantisWeb.Endpoint.local_broadcast_from/4","doc":"","ref":"OctantisWeb.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"OctantisWeb.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"OctantisWeb.Endpoint.html#path/1"},{"type":"function","title":"OctantisWeb.Endpoint.script_name/0","doc":"Generates the script name.","ref":"OctantisWeb.Endpoint.html#script_name/0"},{"type":"function","title":"OctantisWeb.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"OctantisWeb.Endpoint.html#server_info/1"},{"type":"function","title":"OctantisWeb.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"OctantisWeb.Endpoint.html#start_link/1"},{"type":"function","title":"OctantisWeb.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"OctantisWeb.Endpoint.html#static_integrity/1"},{"type":"function","title":"OctantisWeb.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"OctantisWeb.Endpoint.html#static_lookup/1"},{"type":"function","title":"OctantisWeb.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"OctantisWeb.Endpoint.html#static_path/1"},{"type":"function","title":"OctantisWeb.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"OctantisWeb.Endpoint.html#static_url/0"},{"type":"function","title":"OctantisWeb.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"OctantisWeb.Endpoint.html#struct_url/0"},{"type":"function","title":"OctantisWeb.Endpoint.subscribe/2","doc":"","ref":"OctantisWeb.Endpoint.html#subscribe/2"},{"type":"function","title":"OctantisWeb.Endpoint.unsubscribe/1","doc":"","ref":"OctantisWeb.Endpoint.html#unsubscribe/1"},{"type":"function","title":"OctantisWeb.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"OctantisWeb.Endpoint.html#url/0"},{"type":"module","title":"OctantisWeb.ErrorHTML","doc":"","ref":"OctantisWeb.ErrorHTML.html"},{"type":"function","title":"OctantisWeb.ErrorHTML.render/2","doc":"","ref":"OctantisWeb.ErrorHTML.html#render/2"},{"type":"module","title":"OctantisWeb.ErrorJSON","doc":"","ref":"OctantisWeb.ErrorJSON.html"},{"type":"function","title":"OctantisWeb.ErrorJSON.render/2","doc":"","ref":"OctantisWeb.ErrorJSON.html#render/2"},{"type":"module","title":"OctantisWeb.Router","doc":"","ref":"OctantisWeb.Router.html"},{"type":"function","title":"OctantisWeb.Router.browser/2","doc":"","ref":"OctantisWeb.Router.html#browser/2"},{"type":"function","title":"OctantisWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"OctantisWeb.Router.html#call/2"},{"type":"function","title":"OctantisWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"OctantisWeb.Router.html#init/1"},{"type":"function","title":"OctantisWeb.Router.storybook_assets/2","doc":"","ref":"OctantisWeb.Router.html#storybook_assets/2"},{"type":"function","title":"OctantisWeb.Router.storybook_browser/2","doc":"","ref":"OctantisWeb.Router.html#storybook_browser/2"},{"type":"module","title":"OctantisWeb.Storybook","doc":"Storybook Modle to Power PhoenixStorybook\n\nSee:\n - https://github.com/phenixdigital/phoenix_storybook","ref":"OctantisWeb.Storybook.html"},{"type":"function","title":"OctantisWeb.Storybook.load_story/1","doc":"","ref":"OctantisWeb.Storybook.html#load_story/1"},{"type":"module","title":"OctantisWeb.Storybook.Story","doc":"Create Storybook stories with the Polaris style sheet loaded in.\n\n```elixir\nuse OctantisWeb.Storybook.Story, :component\n```","ref":"OctantisWeb.Storybook.Story.html"},{"type":"macro","title":"OctantisWeb.Storybook.Story.__using__/1","doc":"Convenience helper for using the functions above.","ref":"OctantisWeb.Storybook.Story.html#__using__/1"},{"type":"function","title":"OctantisWeb.Storybook.Story.component/0","doc":"","ref":"OctantisWeb.Storybook.Story.html#component/0"},{"type":"extras","title":"Octantis","doc":"# Octantis\n\nOctantis is an implementation of [Polaris Design System](https://polaris.shopify.com/) in Elixir for Phoenix LiveView. If you are building a ShopAdmin for your Shopify App (Shopify calls this [embedded app home](https://shopify.dev/docs/apps/build/admin) at times), and want to conform to the Shopify perscribed design system, then you will want to use Octantis.\n\nOctantis provides Polaris LiveView components that you can drop into your LiveView Shop admin.","ref":"readme.html"},{"type":"extras","title":"Example - Octantis","doc":"```elixir\n<.card >\n  <.text as=\"h2\" variant=\"bodyMd\">\n    Welcome to The Littlest Marble Shop\n  </.text>\n</.card>\n```","ref":"readme.html#example"},{"type":"extras","title":"σ Octantis - Octantis","doc":"[σ Octantis](https://en.wikipedia.org/wiki/Sigma_Octantis) is the current southern pole star in opposition to Polaris the current northen pole star.","ref":"readme.html#%CF%83-octantis"},{"type":"extras","title":"Other Resource - Octantis","doc":"- [Elixir ShopifyAPI](https://github.com/orbit-apps/elixir-shopifyapi) is most of what you need to interact with Shopify APIs. Auth, Rest, Graphql, Webhooks and so on.\n- [Elixir Shopify App](https://github.com/ExShopify/elixir-shopify-app) is a template for building an App with Elixir ShopifyAPI. Currently it lacks a LiveView ShopAdmin as a default, but there is some work towards enabling that.\n- [Polaris Design System](https://polaris.shopify.com/)\n- [Shopify AppBridge](https://shopify.dev/docs/api/app-bridge) provides some functionality for the ShopAdmin, noteably toasts and navigation menues.","ref":"readme.html#other-resource"},{"type":"extras","title":"Installation - Octantis","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `octantis` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:octantis, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Setup A LiveView Shop Admin - Octantis","doc":"TODO","ref":"readme.html#setup-a-liveview-shop-admin"},{"type":"extras","title":"AppBridge Integration - Octantis","doc":"TODO","ref":"readme.html#appbridge-integration"},{"type":"extras","title":"Add Storybook and Routes - Octantis","doc":"TODO","ref":"readme.html#add-storybook-and-routes"},{"type":"extras","title":"Local Setup - Octantis","doc":"","ref":"readme.html#local-setup"},{"type":"extras","title":"Run tests - Octantis","doc":"```bash\nmix check\n```","ref":"readme.html#run-tests"},{"type":"extras","title":"Run Storybook - Octantis","doc":"```bash\nmix phx.server\n```\n\nNavigate to [http://localhost:4040/storybook](http://localhost:4040/storybook)","ref":"readme.html#run-storybook"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.37.3"}}